IF EXISTS (SELECT * FROM sysobjects O, sysusers U
           WHERE
            o.name = 'LIMPEZA_DADOEST'  and
            type = 'P'                        and
            u.uid = o.uid                     and
            u.name = USER)

   DROP PROCEDURE LIMPEZA_DADOEST;
GO

CREATE PROCEDURE LIMPEZA_DADOEST(
   @P_NRLISTA       VARCHAR,
   @P_DTFINAL       DATETIME,
   @P_DSSISTLIMPEZ  VARCHAR,
   @P_NMOPERLIMPEZ  VARCHAR,
   @P_IDSISTEMA     VARCHAR)
AS
   DECLARE @V_ERR0R             VARCHAR(2000);
   DECLARE @V_PASSO             NUMERIC;
   DECLARE @V_NRORDEM           VARCHAR(03);
   DECLARE @V_DSIP              VARCHAR(50);
   DECLARE @V_DSUSUARIO         VARCHAR(50);
   DECLARE @V_DSRDM             VARCHAR(50);
   DECLARE @V_DSMETODO          VARCHAR(250);
   DECLARE @V_DSOPERADOR        VARCHAR(12);
   DECLARE @V_NRLANCESTQ        VARCHAR(20);

   DECLARE @V_COUNT_COMMIT      NUMERIC;
   DECLARE @V_NUM_TO_COMMIT     NUMERIC; -- NUMERO UTILIZADO PARA REGULARIZAR A QUANTIDADE DE DMLS PARA O COMMIT.

   DECLARE @V_CDFILIAL          VARCHAR(4);
   DECLARE @V_CDFILIPROC        VARCHAR(04);
   DECLARE @V_NRSEQUITEM        NUMERIC;
   DECLARE @V_EXCLUITEMRETPCP   NUMERIC;
   DECLARE @V_EXCLURETIRADAPCP  NUMERIC;
   DECLARE @V_EXCLURETIRADAESTO NUMERIC;
   DECLARE @V_EXCLUCTRLMOVIESTQ NUMERIC;
   DECLARE @V_EXCLURETIRADA     NUMERIC;
   DECLARE @V_EXCLUPREVRETI     NUMERIC;
   DECLARE @V_EXCLUPREVCONS     NUMERIC;
   DECLARE @V_EXCLUCARDADIA     NUMERIC;
   DECLARE @V_EXCLUAJURELACRET  NUMERIC;
   DECLARE @V_EXCLUROMANEIONF   NUMERIC;
   DECLARE @V_EXCLUROMANEIO     NUMERIC;
   DECLARE @V_EXCLUPOSESTDIA    NUMERIC;
   DECLARE @V_EXCLUPOSESTCONS   NUMERIC;
   DECLARE @V_EXCLUNFABASTEROTA NUMERIC;
   DECLARE @V_EXCLUPREVPDVLESTO NUMERIC;
   DECLARE @V_EXCLUREQUESTO     NUMERIC;
   DECLARE @V_EXCLULANCTOESTOQ  NUMERIC;
   DECLARE @V_EXCLUCUSTOCMPPROD NUMERIC;

   DECLARE @V_RETIRADA_CDFILIALPCP VARCHAR(04);
   DECLARE @V_RETIRADA_NRLANCESTQ   VARCHAR(10);

   DECLARE @V_RETIRADAESTO_CDFILIAL VARCHAR(04);
   DECLARE @V_RETIRADAESTO_NRRETEST VARCHAR(10);

   DECLARE @V_ITREQUESTO_CDFILILANC VARCHAR(04);
   DECLARE @V_ITREQUESTO_NRLANCESTQ VARCHAR(10);
   DECLARE @V_ITREQUESTO_CDFILIAL VARCHAR(04);
   DECLARE @V_ITREQUESTO_NRREQUESTO VARCHAR(10);

   DECLARE @V_PREVRETI_CDFILIAL      VARCHAR(4);
   DECLARE @V_PREVRETI_CDSERVFILI    VARCHAR(5);
   DECLARE @V_PREVRETI_DTPREVRETI    DATETIME;
   DECLARE @V_PREVRETI_NRREQUEXTR    VARCHAR(10);
   DECLARE @V_PREVRETI_IDPREVRETI    VARCHAR(1);
   DECLARE @V_PREVRETI_CDPRODUTO     VARCHAR(10);
   DECLARE @V_PREVRETI_DTLIMITERETI  DATETIME;
   DECLARE @V_PREVRETI_HRLIMITERETI  VARCHAR(4);
   DECLARE @V_PREVRETI_NRPRPREVRETI  VARCHAR(4);

   DECLARE @V_PREVCONS_CDFILIAL   VARCHAR(4);
   DECLARE @V_PREVCONS_CDSERVFILI VARCHAR(5);
   DECLARE @V_PREVCONS_CDPRODUTO  VARCHAR(10);
   DECLARE @V_PREVCONS_DTPREVCONS DATETIME;

   DECLARE @V_ITEMVENDA_CDFILIAL     VARCHAR(4);
   DECLARE @V_ITEMVENDA_CDCAIXA      VARCHAR(3);
   DECLARE @V_ITEMVENDA_NRSEQVENDA   VARCHAR(10);
   DECLARE @V_ITEMVENDA_NRSEQUITVEND VARCHAR(3);

   DECLARE @V_PRODACABADO_CDFILIAL      VARCHAR(4);
   DECLARE @V_PRODACABADO_NRORDPROD     VARCHAR(10);
   DECLARE @V_PRODACABADO_NRSUBORDPROD  VARCHAR(1);
   DECLARE @V_PRODACABADO_CDSUBPRODETA  VARCHAR(10);
   DECLARE @V_PRODACABADO_NRSUBPRETAOP  VARCHAR(3);
   DECLARE @V_PRODACABADO_CDPRODUTO    VARCHAR(10);
   DECLARE @V_PRODACABADO_NRPRODACAB    VARCHAR(3);

   DECLARE @V_RETIRADA_CDFILIAL    VARCHAR(4);
   DECLARE @V_RETIRADA_NRCARDAPIO  VARCHAR(10);
   DECLARE @V_RETIRADA_NRRETIRADA  VARCHAR(10);

   DECLARE @V_CARDADIA_CDFILIAL   VARCHAR(4);
   DECLARE @V_CARDADIA_NRCARDAPIO VARCHAR(10);

   DECLARE @V_COMPITVENDA_CDFILIAL      VARCHAR(4);
   DECLARE @V_COMPITVENDA_CDCAIXA       VARCHAR(3);
   DECLARE @V_COMPITVENDA_NRSEQVENDA    VARCHAR(10);
   DECLARE @V_COMPITVENDA_NRSEQITVECOM  VARCHAR(3);

   DECLARE @V_AJURELACRET_CDFILIAL      VARCHAR(4);
   DECLARE @V_AJURELACRET_NRLANCESTQ    VARCHAR(10);
   DECLARE @V_AJURELACRET_CDFILIALRET   VARCHAR(4);
   DECLARE @V_AJURELACRET_NRLANCESTRET  VARCHAR(10);

   DECLARE @V_NFABASTEROTA_CDFILIAL     VARCHAR(4);
   DECLARE @V_NFABASTEROTA_NRABASTEROTA VARCHAR(10);
   DECLARE @V_NFABASTEROTA_NRLANCESTQ   VARCHAR(10);

   DECLARE @V_CUSTOCMPPROD_CDFILIAL      VARCHAR(4);
   DECLARE @V_CUSTOCMPPROD_CDALMOXARIFE  VARCHAR(6);
   DECLARE @V_CUSTOCMPPROD_CDLOCALESTOQ  VARCHAR(6);
   DECLARE @V_CUSTOCMPPROD_NRLOTEESTQ    VARCHAR(20);
   DECLARE @V_CUSTOCMPPROD_NRSUBLOTE     VARCHAR(4);
   DECLARE @V_CUSTOCMPPROD_CDPRODUTO     VARCHAR(10);
   DECLARE @V_CUSTOCMPPROD_DTCUSTCMPPRO  DATETIME;

   DECLARE @V_PREVPDVLESTO_CDFILIAL      VARCHAR(4);
   DECLARE @V_PREVPDVLESTO_NRSEQPREVPDV  VARCHAR(10);
   DECLARE @V_PREVPDVLESTO_CDFILANCESTQ  VARCHAR(4);
   DECLARE @V_PREVPDVLESTO_NRLANCESTQ    VARCHAR(10);

   DECLARE @V_LANCTOESTOQ_CDFILIAL       VARCHAR(4);
   DECLARE @V_LANCTOESTOQ_NRLANCESTQ     VARCHAR(10);

   DECLARE @V_IMPLANTACAO_CDALMOXARIFE   VARCHAR(6);
   DECLARE @V_IMPLANTACAO_CDLOCALESTOQ   VARCHAR(6);
   DECLARE @V_IMPLANTACAO_NRLOTEESTQ     VARCHAR(20);
   DECLARE @V_IMPLANTACAO_NRSUBLOTE      VARCHAR(4);
   DECLARE @V_IMPLANTACAO_CDPRODUTO      VARCHAR(10);
   DECLARE @V_IMPLANTACAO_QTESTOQDIA     DOUBLE PRECISION;
   DECLARE @V_IMPLANTACAO_VRESTOQDIA     DOUBLE PRECISION;
   DECLARE @V_IMPLANTACAO_VRESTOQBRUT    DOUBLE PRECISION;

   DECLARE @V_POSESTDIA_CDALMOXARIFE     VARCHAR(6);
   DECLARE @V_POSESTDIA_CDLOCALESTOQ     VARCHAR(6);
   DECLARE @V_POSESTDIA_NRLOTEESTQ       VARCHAR(20);
   DECLARE @V_POSESTDIA_NRSUBLOTE        VARCHAR(4);
   DECLARE @V_POSESTDIA_CDPRODUTO        VARCHAR(10);
   DECLARE @V_POSESTDIA_DTPOSIESTQ       DATETIME;

   DECLARE @V_POSESTCONS_CDPRODUTO       VARCHAR(10);
   DECLARE @V_POSESTCONS_DTPOSESTCON     DATETIME;

   DECLARE @V_TEXT              VARCHAR(50);

   DECLARE @ERR varchar(100);

   DECLARE C_LISTA CURSOR FOR
      (SELECT CDLISTA AS CDFILIAL
       FROM LISTA
       WHERE NRLISTA = @P_NRLISTA);

BEGIN

   SET @V_PASSO = 0;
   SET @V_NRSEQUITEM = 0;
   SET @V_EXCLUITEMRETPCP = 0;
   SET @V_EXCLURETIRADAPCP = 0;
   SET @V_EXCLURETIRADAESTO = 0;
   SET @V_EXCLUCTRLMOVIESTQ = 0;
   SET @V_EXCLURETIRADA = 0;
   SET @V_EXCLUPREVRETI = 0;
   SET @V_EXCLUPREVCONS = 0;
   SET @V_EXCLUCARDADIA = 0;
   SET @V_EXCLUAJURELACRET = 0;
   SET @V_EXCLUROMANEIONF = 0;
   SET @V_EXCLUROMANEIO = 0;
   SET @V_EXCLUPOSESTDIA = 0;
   SET @V_EXCLUPOSESTCONS = 0;
   SET @V_EXCLUNFABASTEROTA = 0;
   SET @V_EXCLUPREVPDVLESTO = 0;
   SET @V_EXCLUREQUESTO = 0;
   SET @V_EXCLULANCTOESTOQ = 0;
   SET @V_EXCLUCUSTOCMPPROD = 0;
   SET @V_COUNT_COMMIT = 1;
   SET @V_NUM_TO_COMMIT = 1000;

   SELECT @V_CDFILIPROC = MAX(CDFILIAL)
   FROM PARAMGERAL;

   SET @V_NRORDEM = '0';

   UPDATE TRABLIMPEZA
   SET IDSTATUSLIMPEZA = 'A'
   WHERE IDLIMPEZA = @P_IDSISTEMA;

   COMMIT;

   ALTER TABLE ITLANCTOEST DISABLE TRIGGER ATUALIZA_DELETE_LOGMOVIEST;

   EXEC WEBTUNNING @V_DSIP, @V_DSUSUARIO, @V_DSRDM, @V_DSMETODO, @V_DSOPERADOR;

   SET @V_NRORDEM =  RIGHT(REPLICATE('0', 3) + CONVERT(CHAR(3),(CONVERT(INT, @V_NRORDEM)+1)), 3);

   UPDATE TABLIMPEZA
      SET NRORDEMLIMPEZA = @V_NRORDEM
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'RETIRADAESTO';

   IF NOT(@@ROWCOUNT > 0) BEGIN
      INSERT INTO TABLIMPEZA
      VALUES
      (@P_IDSISTEMA, 'RETIRADAESTO', @V_NRORDEM);
   END;

   INSERT INTO TRABPROCLIMPEZA
     (IDLIMPEZA, NMTABELALIMP)
   VALUES
      (@P_IDSISTEMA, 'RETIRADAESTO');

   SET @V_NRORDEM =  RIGHT(REPLICATE('0', 3) + CONVERT(CHAR(3),(CONVERT(INT, @V_NRORDEM)+1)), 3);

   UPDATE TABLIMPEZA
      SET NRORDEMLIMPEZA = @V_NRORDEM
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'REQUESTO';

   IF NOT(@@ROWCOUNT > 0) BEGIN
      INSERT INTO TABLIMPEZA
      VALUES
      (@P_IDSISTEMA, 'REQUESTO', @V_NRORDEM);
   END;

   INSERT INTO TRABPROCLIMPEZA
     (IDLIMPEZA, NMTABELALIMP)
   VALUES
      (@P_IDSISTEMA, 'REQUESTO');

   SET @V_NRORDEM =  RIGHT(REPLICATE('0', 3) + CONVERT(CHAR(3),(CONVERT(INT, @V_NRORDEM)+1)), 3);

   UPDATE TABLIMPEZA
      SET NRORDEMLIMPEZA = @V_NRORDEM
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'RETIRADA';

   IF NOT(@@ROWCOUNT > 0) BEGIN
      INSERT INTO TABLIMPEZA
      VALUES
      (@P_IDSISTEMA, 'RETIRADA', @V_NRORDEM);
   END;

   INSERT INTO TRABPROCLIMPEZA
     (IDLIMPEZA, NMTABELALIMP)
   VALUES
      (@P_IDSISTEMA, 'RETIRADA');

   SET @V_NRORDEM =  RIGHT(REPLICATE('0', 3) + CONVERT(CHAR(3),(CONVERT(INT, @V_NRORDEM)+1)), 3);

   UPDATE TABLIMPEZA
      SET NRORDEMLIMPEZA = @V_NRORDEM
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'PREVRETI';

   IF NOT(@@ROWCOUNT > 0) BEGIN
      INSERT INTO TABLIMPEZA
      VALUES
      (@P_IDSISTEMA, 'PREVRETI', @V_NRORDEM);
   END;

   INSERT INTO TRABPROCLIMPEZA
     (IDLIMPEZA, NMTABELALIMP)
   VALUES
      (@P_IDSISTEMA, 'PREVRETI');

   SET @V_NRORDEM =  RIGHT(REPLICATE('0', 3) + CONVERT(CHAR(3),(CONVERT(INT, @V_NRORDEM)+1)), 3);

   UPDATE TABLIMPEZA
      SET NRORDEMLIMPEZA = @V_NRORDEM
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'PREVCONS';

   IF NOT(@@ROWCOUNT > 0) BEGIN
      INSERT INTO TABLIMPEZA
      VALUES
      (@P_IDSISTEMA, 'PREVCONS', @V_NRORDEM);
   END;

   INSERT INTO TRABPROCLIMPEZA
     (IDLIMPEZA, NMTABELALIMP)
   VALUES
      (@P_IDSISTEMA, 'PREVCONS');

   SET @V_NRORDEM =  RIGHT(REPLICATE('0', 3) + CONVERT(CHAR(3),(CONVERT(INT, @V_NRORDEM)+1)), 3);

   UPDATE TABLIMPEZA
      SET NRORDEMLIMPEZA = @V_NRORDEM
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'CARDADIA';

   IF NOT(@@ROWCOUNT > 0) BEGIN
      INSERT INTO TABLIMPEZA
      VALUES
      (@P_IDSISTEMA, 'CARDADIA', @V_NRORDEM);
   END;

   INSERT INTO TRABPROCLIMPEZA
     (IDLIMPEZA, NMTABELALIMP)
   VALUES
      (@P_IDSISTEMA, 'CARDADIA');

   SET @V_NRORDEM =  RIGHT(REPLICATE('0', 3) + CONVERT(CHAR(3),(CONVERT(INT, @V_NRORDEM)+1)), 3);

   UPDATE TABLIMPEZA
      SET NRORDEMLIMPEZA = @V_NRORDEM
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'AJURELACRET';

   IF NOT(@@ROWCOUNT > 0) BEGIN
      INSERT INTO TABLIMPEZA
      VALUES
      (@P_IDSISTEMA, 'AJURELACRET', @V_NRORDEM);
   END;

   INSERT INTO TRABPROCLIMPEZA
     (IDLIMPEZA, NMTABELALIMP)
   VALUES
      (@P_IDSISTEMA, 'AJURELACRET');

   SET @V_NRORDEM =  RIGHT(REPLICATE('0', 3) + CONVERT(CHAR(3),(CONVERT(INT, @V_NRORDEM)+1)), 3);

   UPDATE TABLIMPEZA
      SET NRORDEMLIMPEZA = @V_NRORDEM
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'NFABASTEROTA';

   IF NOT(@@ROWCOUNT > 0) BEGIN
      INSERT INTO TABLIMPEZA
      VALUES
      (@P_IDSISTEMA, 'NFABASTEROTA', @V_NRORDEM);
   END;

   INSERT INTO TRABPROCLIMPEZA
     (IDLIMPEZA, NMTABELALIMP)
   VALUES
      (@P_IDSISTEMA, 'NFABASTEROTA');

   SET @V_NRORDEM =  RIGHT(REPLICATE('0', 3) + CONVERT(CHAR(3),(CONVERT(INT, @V_NRORDEM)+1)), 3);

   UPDATE TABLIMPEZA
      SET NRORDEMLIMPEZA = @V_NRORDEM
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'PREVPDVLESTO';

   IF NOT(@@ROWCOUNT > 0) BEGIN
      INSERT INTO TABLIMPEZA
      VALUES
      (@P_IDSISTEMA, 'PREVPDVLESTO', @V_NRORDEM);
   END;

   INSERT INTO TRABPROCLIMPEZA
     (IDLIMPEZA, NMTABELALIMP)
   VALUES
      (@P_IDSISTEMA, 'PREVPDVLESTO');

   SET @V_NRORDEM =  RIGHT(REPLICATE('0', 3) + CONVERT(CHAR(3),(CONVERT(INT, @V_NRORDEM)+1)), 3);

   UPDATE TABLIMPEZA
      SET NRORDEMLIMPEZA = @V_NRORDEM
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'CUSTOCMPPROD';

   IF NOT(@@ROWCOUNT > 0) BEGIN
      INSERT INTO TABLIMPEZA
      VALUES
      (@P_IDSISTEMA, 'CUSTOCMPPROD', @V_NRORDEM);
   END;

   INSERT INTO TRABPROCLIMPEZA
     (IDLIMPEZA, NMTABELALIMP)
   VALUES
      (@P_IDSISTEMA, 'CUSTOCMPPROD');
      
   SET @V_NRORDEM =  RIGHT(REPLICATE('0', 3) + CONVERT(CHAR(3),(CONVERT(INT, @V_NRORDEM)+1)), 3);

   UPDATE TABLIMPEZA
      SET NRORDEMLIMPEZA = @V_NRORDEM
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'LANCTOESTOQ';

   IF NOT(@@ROWCOUNT > 0) BEGIN
      INSERT INTO TABLIMPEZA
      VALUES
       (@P_IDSISTEMA, 'LANCTOESTOQ', @V_NRORDEM);
   END;

   INSERT INTO TRABPROCLIMPEZA
     (IDLIMPEZA, NMTABELALIMP)
   VALUES
      (@P_IDSISTEMA, 'LANCTOESTOQ');

   SET @V_NRORDEM =  RIGHT(REPLICATE('0', 3) + CONVERT(CHAR(3),(CONVERT(INT, @V_NRORDEM)+1)), 3);

   UPDATE TABLIMPEZA
      SET NRORDEMLIMPEZA = @V_NRORDEM
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'ROMANEIO';

   IF NOT(@@ROWCOUNT > 0) BEGIN
      INSERT INTO TABLIMPEZA
      VALUES
      (@P_IDSISTEMA, 'ROMANEIO', @V_NRORDEM);
   END;

   INSERT INTO TRABPROCLIMPEZA
     (IDLIMPEZA, NMTABELALIMP)
   VALUES
      (@P_IDSISTEMA, 'ROMANEIO');

   SET @V_NRORDEM =  RIGHT(REPLICATE('0', 3) + CONVERT(CHAR(3),(CONVERT(INT, @V_NRORDEM)+1)), 3);

   UPDATE TABLIMPEZA
      SET NRORDEMLIMPEZA = @V_NRORDEM
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'POSESTDIA';

   IF NOT(@@ROWCOUNT > 0) BEGIN
      INSERT INTO TABLIMPEZA
      VALUES
      (@P_IDSISTEMA, 'POSESTDIA', @V_NRORDEM);
   END;

   INSERT INTO TRABPROCLIMPEZA
     (IDLIMPEZA, NMTABELALIMP)
   VALUES
      (@P_IDSISTEMA, 'POSESTDIA');

   SET @V_NRORDEM =  RIGHT(REPLICATE('0', 3) + CONVERT(CHAR(3),(CONVERT(INT, @V_NRORDEM)+1)), 3);

   UPDATE TABLIMPEZA
      SET NRORDEMLIMPEZA = @V_NRORDEM
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'POSESTCONS';

   IF NOT(@@ROWCOUNT > 0) BEGIN
      INSERT INTO TABLIMPEZA
      VALUES
      (@P_IDSISTEMA, 'POSESTCONS', @V_NRORDEM);
   END;


   INSERT INTO TRABPROCLIMPEZA
     (IDLIMPEZA, NMTABELALIMP)
   VALUES
      (@P_IDSISTEMA, 'POSESTCONS');

   /* COLOCA O STATUS DA TABELA DE LIMPEZA PARA ANDAMENTO */
   UPDATE TRABPROCLIMPEZA
      SET IDSITUPROCLIMP = 'A'
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'RETIRADAPCP';

   COMMIT;

   SET @V_PASSO = 0;

   OPEN C_LISTA;
   FETCH NEXT FROM C_LISTA INTO @V_CDFILIAL
   WHILE (@@FETCH_STATUS = 0)
   BEGIN
      DECLARE C_RETIRADA CURSOR FOR
         SELECT DISTINCT C.CDFILIALLPCP, C.NRLANCESTQ
          FROM RETIRADAPCP C, LANCTOESTOQ L
          WHERE C.CDFILIALLPCP = L.CDFILIAL        AND
                C.NRLANCESTQ   = L.NRLANCESTQ      AND
                L.CDFILIMOVI   = @V_CDFILIAL AND
                L.DTLANCESTQ  <= @P_DTFINAL

      OPEN C_RETIRADA
      FETCH NEXT FROM C_RETIRADA INTO @V_RETIRADA_CDFILIALPCP, @V_RETIRADA_NRLANCESTQ;
      WHILE (@@FETCH_STATUS = 0)
      BEGIN
          DELETE ITEMRETPCP
          WHERE CDFILIALITLPCP = @V_RETIRADA_CDFILIALPCP
            AND NRLANCESTQ = @V_RETIRADA_NRLANCESTQ;

          SET @V_EXCLUITEMRETPCP = @@ROWCOUNT + @V_EXCLUITEMRETPCP;

          DELETE RETIRADAPCP
           WHERE CDFILIALLPCP = @V_RETIRADA_CDFILIALPCP
             AND NRLANCESTQ = @V_RETIRADA_NRLANCESTQ;

          SET @V_EXCLURETIRADAPCP = @@ROWCOUNT + @V_EXCLURETIRADAPCP;

          IF @V_COUNT_COMMIT >= @V_NUM_TO_COMMIT BEGIN
             UPDATE TRABPROCLIMPEZA
               SET QTREGEXCLIMPEZA = @V_EXCLURETIRADAPCP
             WHERE IDLIMPEZA = @P_IDSISTEMA
               AND NMTABELALIMP = 'RETIRADAPCP';

            /*CONTROLE DE COMMIT HA CADA 1000 REGISTRO DELETEDO  E PARA ATUALIZAR A TELA DE LIMPEZA*/
            SET @V_COUNT_COMMIT= 1;
            COMMIT;
          END
          ELSE BEGIN
            SET @V_COUNT_COMMIT = @V_COUNT_COMMIT + 1;
          END;
          FETCH NEXT FROM C_RETIRADA INTO @V_RETIRADA_CDFILIALPCP, @V_RETIRADA_NRLANCESTQ;
      END;
      CLOSE C_RETIRADA;
      DEALLOCATE C_RETIRADA;

      FETCH NEXT FROM C_LISTA INTO @V_CDFILIAL;
   END;
   CLOSE C_LISTA;
   DEALLOCATE C_LISTA;

   SET @V_PASSO = 1;

   /* COLOCA O STATUS DA TABELA DE LIMPEZA PARA CONCLUIDO */
   UPDATE TRABPROCLIMPEZA
      SET IDSITUPROCLIMP = 'C',
          QTREGEXCLIMPEZA = @V_EXCLURETIRADAPCP,
          DTHRFINLIMPEZA = GETDATE()
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'RETIRADAPCP';

   /* COLOCA O STATUS DA TABELA DE LIMPEZA PARA ANDAMENTO */
   UPDATE TRABPROCLIMPEZA
      SET IDSITUPROCLIMP = 'A'
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'RETIRADAESTO';

   SET @V_COUNT_COMMIT= 1;
   COMMIT;

   OPEN C_LISTA;
   FETCH NEXT FROM C_LISTA INTO @V_CDFILIAL
   WHILE (@@FETCH_STATUS = 0)
   BEGIN
      DECLARE C_RETIRADAESTO CURSOR FOR
          SELECT C.CDFILIAL, C.NRRETEST
            FROM RETIRADAESTO C, LANCTOESTOQ L
           WHERE C.CDFILIALLAN = L.CDFILIAL AND
                 C.NRLANCESTQ = L.NRLANCESTQ AND
                 L.CDFILIMOVI = @V_CDFILIAL AND
                 L.DTLANCESTQ <= @P_DTFINAL

      OPEN C_RETIRADAESTO
      FETCH NEXT FROM C_RETIRADAESTO INTO @V_RETIRADAESTO_CDFILIAL, @V_RETIRADAESTO_NRRETEST;
      WHILE (@@FETCH_STATUS = 0)
      BEGIN
         DELETE RETIRADAESTO
         WHERE CDFILIAL = @V_RETIRADAESTO_CDFILIAL
           AND NRRETEST = @V_RETIRADAESTO_NRRETEST;

         SET @V_EXCLURETIRADAESTO = @@ROWCOUNT + @V_EXCLURETIRADAESTO;

         IF @V_COUNT_COMMIT >= @V_NUM_TO_COMMIT BEGIN
            UPDATE TRABPROCLIMPEZA
              SET QTREGEXCLIMPEZA = @V_EXCLURETIRADAESTO
            WHERE IDLIMPEZA = @P_IDSISTEMA
              AND NMTABELALIMP = 'RETIRADAESTO';

           /*CONTROLE DE COMMIT HA CADA 1000 REGISTRO DELETEDO  E PARA ATUALIZAR A TELA DE LIMPEZA*/
           SET @V_COUNT_COMMIT= 1;
           COMMIT;
          END
          ELSE BEGIN
            SET @V_COUNT_COMMIT = @V_COUNT_COMMIT + 1;
         END;
         FETCH NEXT FROM C_RETIRADAESTO INTO @V_RETIRADAESTO_CDFILIAL, @V_RETIRADAESTO_NRRETEST;
      END;
      CLOSE C_RETIRADAESTO;
      DEALLOCATE C_RETIRADAESTO;

      FETCH NEXT FROM C_LISTA INTO @V_CDFILIAL;
   END;
   CLOSE C_LISTA;
   DEALLOCATE C_LISTA;

   SET @V_PASSO = 2;

   /* COLOCA O STATUS DA TABELA DE LIMPEZA PARA CONCLUIDO */
   UPDATE TRABPROCLIMPEZA
      SET IDSITUPROCLIMP = 'C',
          QTREGEXCLIMPEZA = @V_EXCLURETIRADAESTO,
          DTHRFINLIMPEZA = GETDATE()
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'RETIRADAESTO';

   /* COLOCA O STATUS DA TABELA DE LIMPEZA PARA ANDAMENTO */
   UPDATE TRABPROCLIMPEZA
      SET IDSITUPROCLIMP = 'A'
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'REQUESTO';

   SET @V_COUNT_COMMIT= 1;
   COMMIT;

   SET @V_PASSO = 3;

   OPEN C_LISTA;
   FETCH NEXT FROM C_LISTA INTO @V_CDFILIAL
   WHILE (@@FETCH_STATUS = 0)
   BEGIN
      DECLARE C_ITREQUESTO CURSOR FOR
         SELECT DISTINCT CDFILILANC, C.NRLANCESTQ, C.CDFILIAL, C.NRREQUESTO
           FROM ITREQUESTO C, LANCTOESTOQ L
          WHERE C.CDFILILANC = L.CDFILIAL AND
                C.NRLANCESTQ = L.NRLANCESTQ AND
                L.CDFILIMOVI = @V_CDFILIAL AND
                L.DTLANCESTQ <= @P_DTFINAL

      OPEN C_ITREQUESTO
      FETCH NEXT FROM C_ITREQUESTO INTO @V_ITREQUESTO_CDFILILANC, @V_ITREQUESTO_NRLANCESTQ, @V_ITREQUESTO_CDFILIAL, @V_ITREQUESTO_NRREQUESTO;
      WHILE (@@FETCH_STATUS = 0)
      BEGIN

         DELETE CTRLMOVIESTQ
         WHERE CDFILIAL = @V_ITREQUESTO_CDFILIAL
           AND NRREQUESTO = @V_ITREQUESTO_NRREQUESTO;

         DELETE REQUESTO
         WHERE CDFILIAL = @V_ITREQUESTO_CDFILIAL
          AND NRREQUESTO = @V_ITREQUESTO_NRREQUESTO;

         SET @V_EXCLUREQUESTO = @@ROWCOUNT + @V_EXCLUREQUESTO;

         FETCH NEXT FROM C_ITREQUESTO INTO @V_ITREQUESTO_CDFILILANC, @V_ITREQUESTO_NRLANCESTQ, @V_ITREQUESTO_CDFILIAL, @V_ITREQUESTO_NRREQUESTO;
      END;
      CLOSE C_RETIRADAESTO;
      DEALLOCATE C_RETIRADAESTO;

      FETCH NEXT FROM C_LISTA INTO @V_CDFILIAL;
   END;
   CLOSE C_LISTA;
   DEALLOCATE C_LISTA;

   SET @V_PASSO = 4;

   /* COLOCA O STATUS DA TABELA DE LIMPEZA PARA CONCLUIDO */
   UPDATE TRABPROCLIMPEZA
      SET IDSITUPROCLIMP = 'C',
          QTREGEXCLIMPEZA = @V_EXCLUREQUESTO,
          DTHRFINLIMPEZA = GETDATE()
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'REQUESTO';

   /* COLOCA O STATUS DA TABELA DE LIMPEZA PARA ANDAMENTO */
   UPDATE TRABPROCLIMPEZA
      SET IDSITUPROCLIMP = 'A'
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'RETIRADA';

   SET @V_COUNT_COMMIT = 1;
   COMMIT;

   DECLARE C_PRODACABADO CURSOR FOR
      SELECT C.CDFILIAL, C.NRORDPROD, C.NRSUBORDPROD, C.CDSUBPRODETA, C.NRSUBPRETAOP, C.CDPRODUTO, C.NRPRODACAB
      FROM PRODACABADO C, LANCTOESTOQ L
      WHERE C.CDFILIAL     = L.CDFILIAL      AND
            C.NRLANCESTQ   = L.NRLANCESTQ    AND
            L.CDFILIMOVI   = @V_CDFILIAL     AND
            L.DTLANCESTQ  <= @P_DTFINAL

   OPEN C_PRODACABADO;
   FETCH NEXT FROM C_PRODACABADO INTO @V_PRODACABADO_CDFILIAL, @V_PRODACABADO_NRORDPROD, @V_PRODACABADO_NRSUBORDPROD,
                                      @V_PRODACABADO_CDSUBPRODETA, @V_PRODACABADO_NRSUBPRETAOP, @V_PRODACABADO_CDPRODUTO,
                                      @V_PRODACABADO_NRPRODACAB;

   WHILE (@@FETCH_STATUS = 0) BEGIN

      UPDATE PRODACABADO
      SET NRSEQUITEM = NULL,
          NRLANCESTQ = NULL
      WHERE CDFILIAL = @V_PRODACABADO_CDFILIAL AND
            NRORDPROD = @V_PRODACABADO_NRORDPROD AND
            NRSUBORDPROD = @V_PRODACABADO_NRSUBORDPROD AND
            CDSUBPRODETA = @V_PRODACABADO_CDSUBPRODETA AND
            NRSUBPRETAOP = @V_PRODACABADO_NRSUBPRETAOP AND
            CDPRODUTO = @V_PRODACABADO_CDPRODUTO  AND
            NRPRODACAB = @V_PRODACABADO_NRPRODACAB;

   FETCH NEXT FROM C_PRODACABADO INTO @V_PRODACABADO_CDFILIAL, @V_PRODACABADO_NRORDPROD, @V_PRODACABADO_NRSUBORDPROD,
                                      @V_PRODACABADO_CDSUBPRODETA, @V_PRODACABADO_NRSUBPRETAOP, @V_PRODACABADO_CDPRODUTO,
                                      @V_PRODACABADO_NRPRODACAB;

   END;

   CLOSE C_PRODACABADO;
   DEALLOCATE C_PRODACABADO;
   COMMIT;

   OPEN C_LISTA;
   FETCH NEXT FROM C_LISTA INTO @V_CDFILIAL
   WHILE (@@FETCH_STATUS = 0)
   BEGIN
      DECLARE C_RETIRADA CURSOR FOR
         SELECT C.CDFILIAL, C.NRCARDAPIO, C.NRRETIRADA
           FROM RETIRADA C, LANCTOESTOQ L
          WHERE C.CDFILANCESTQ = L.CDFILIAL AND
                C.NRLANCESTQ = L.NRLANCESTQ AND
                L.CDFILIMOVI = @V_CDFILIAL AND
                L.DTLANCESTQ <= @P_DTFINAL

      OPEN C_RETIRADA
      FETCH NEXT FROM C_RETIRADA INTO @V_RETIRADA_CDFILIAL, @V_RETIRADA_NRCARDAPIO, @V_RETIRADA_NRRETIRADA;
      WHILE (@@FETCH_STATUS = 0)
      BEGIN
         DELETE RETIRADA
         WHERE CDFILIAL = @V_RETIRADA_CDFILIAL AND
               NRCARDAPIO = @V_RETIRADA_NRCARDAPIO AND
               NRRETIRADA = @V_RETIRADA_NRRETIRADA;

         IF @V_COUNT_COMMIT >= @V_NUM_TO_COMMIT BEGIN
            UPDATE TRABPROCLIMPEZA
              SET QTREGEXCLIMPEZA = @V_EXCLURETIRADA
            WHERE IDLIMPEZA = @P_IDSISTEMA
              AND NMTABELALIMP = 'RETIRADA';

            /*CONTROLE DE COMMIT HA CADA 1000 REGISTRO DELETEDO  E PARA ATUALIZAR A TELA DE LIMPEZA*/
            SET @V_COUNT_COMMIT = 1;
            COMMIT;
          END
          ELSE BEGIN
            SET @V_COUNT_COMMIT = @V_COUNT_COMMIT + 1;
         END;
         FETCH NEXT FROM C_RETIRADA INTO @V_RETIRADA_CDFILIAL, @V_RETIRADA_NRCARDAPIO, @V_RETIRADA_NRRETIRADA;
      END;
      CLOSE C_RETIRADA;
      DEALLOCATE C_RETIRADA;

      FETCH NEXT FROM C_LISTA INTO @V_CDFILIAL;
   END;
   CLOSE C_LISTA;
   DEALLOCATE C_LISTA;

   /* COLOCA O STATUS DA TABELA DE LIMPEZA PARA CONCLUIDO */
   UPDATE TRABPROCLIMPEZA
      SET IDSITUPROCLIMP = 'C',
          QTREGEXCLIMPEZA = @V_EXCLURETIRADA,
          DTHRFINLIMPEZA = GETDATE()
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'RETIRADA';

   /* COLOCA O STATUS DA TABELA DE LIMPEZA PARA ANDAMENTO */
   UPDATE TRABPROCLIMPEZA
      SET IDSITUPROCLIMP = 'A'
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'PREVRETI';

   SET @V_COUNT_COMMIT = 1;
   COMMIT;

   SET @V_PASSO = 5;

   OPEN C_LISTA;
   FETCH NEXT FROM C_LISTA INTO @V_CDFILIAL
   WHILE (@@FETCH_STATUS = 0)
   BEGIN
      DECLARE C_PREVRETI CURSOR FOR
         SELECT CDFILIAL, CDSERVFILI, DTPREVRETI, NRREQUEXTR, IDPREVRETI, CDPRODUTO, DTLIMITERETI, HRLIMITERETI, NRPRPREVRETI
           FROM PREVRETI
          WHERE CDFILIAL    = @V_CDFILIAL AND
                DTPREVRETI  <= @P_DTFINAL

      OPEN C_PREVRETI
      FETCH NEXT FROM C_PREVRETI INTO @V_PREVRETI_CDFILIAL, @V_PREVRETI_CDSERVFILI, @V_PREVRETI_DTPREVRETI, @V_PREVRETI_NRREQUEXTR,
                                      @V_PREVRETI_IDPREVRETI, @V_PREVRETI_CDPRODUTO, @V_PREVRETI_DTLIMITERETI, @V_PREVRETI_HRLIMITERETI,
                                      @V_PREVRETI_NRPRPREVRETI;

      WHILE (@@FETCH_STATUS = 0)
      BEGIN
         DELETE FROM PREVRETI
         WHERE PREVRETI.CDFILIAL = @V_PREVRETI_CDFILIAL
           AND PREVRETI.CDSERVFILI = @V_PREVRETI_CDSERVFILI
           AND PREVRETI.DTPREVRETI = @V_PREVRETI_DTPREVRETI
           AND PREVRETI.NRREQUEXTR = @V_PREVRETI_NRREQUEXTR
           AND PREVRETI.IDPREVRETI = @V_PREVRETI_IDPREVRETI
           AND PREVRETI.CDPRODUTO = @V_PREVRETI_CDPRODUTO
           AND PREVRETI.DTLIMITERETI = @V_PREVRETI_DTLIMITERETI
           AND PREVRETI.HRLIMITERETI = @V_PREVRETI_HRLIMITERETI
           AND PREVRETI.NRPRPREVRETI = @V_PREVRETI_NRPRPREVRETI;

         SET @V_EXCLUPREVRETI = @@ROWCOUNT + @V_EXCLUPREVRETI;


         IF @V_COUNT_COMMIT >= @V_NUM_TO_COMMIT BEGIN
            UPDATE TRABPROCLIMPEZA
              SET QTREGEXCLIMPEZA = @V_EXCLUPREVRETI
            WHERE IDLIMPEZA = @P_IDSISTEMA
              AND NMTABELALIMP = 'PREVRETI';

            /*CONTROLE DE COMMIT HA CADA 1000 REGISTRO DELETEDO  E PARA ATUALIZAR A TELA DE LIMPEZA*/
            SET @V_COUNT_COMMIT= 1;
            COMMIT;
         END
         ELSE BEGIN
            SET @V_COUNT_COMMIT = @V_COUNT_COMMIT + 1;
         END;
         
         FETCH NEXT FROM C_PREVRETI INTO @V_PREVRETI_CDFILIAL, @V_PREVRETI_CDSERVFILI, @V_PREVRETI_DTPREVRETI, @V_PREVRETI_NRREQUEXTR,
                                         @V_PREVRETI_IDPREVRETI, @V_PREVRETI_CDPRODUTO, @V_PREVRETI_DTLIMITERETI, @V_PREVRETI_HRLIMITERETI,
                                         @V_PREVRETI_NRPRPREVRETI;
      END;
      CLOSE C_PREVRETI;
      DEALLOCATE C_PREVRETI;


      FETCH NEXT FROM C_LISTA INTO @V_CDFILIAL;
   END;
   CLOSE C_LISTA;
   DEALLOCATE C_LISTA;

   /* COLOCA O STATUS DA TABELA DE LIMPEZA PARA CONCLUIDO */
   UPDATE TRABPROCLIMPEZA
      SET IDSITUPROCLIMP = 'C',
          QTREGEXCLIMPEZA = @V_EXCLUPREVRETI,
          DTHRFINLIMPEZA = GETDATE()
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'PREVRETI';

   /* COLOCA O STATUS DA TABELA DE LIMPEZA PARA ANDAMENTO */
   UPDATE TRABPROCLIMPEZA
      SET IDSITUPROCLIMP = 'A'
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'PREVCONS';

   SET @V_COUNT_COMMIT = 1;
   COMMIT;

   SET @V_PASSO = 6;

   OPEN C_LISTA;
   FETCH NEXT FROM C_LISTA INTO @V_CDFILIAL
   WHILE (@@FETCH_STATUS = 0)
   BEGIN
      DECLARE C_PREVCONS CURSOR FOR
         SELECT CDFILIAL, CDSERVFILI, CDPRODUTO, DTPREVCONS
           FROM PREVCONS
          WHERE CDFILIAL = @V_CDFILIAL AND
                DTPREVCONS <= @P_DTFINAL

      OPEN C_PREVCONS
      FETCH NEXT FROM C_PREVCONS INTO @V_PREVCONS_CDFILIAL, @V_PREVCONS_CDSERVFILI, @V_PREVCONS_CDPRODUTO, @V_PREVCONS_DTPREVCONS;
      WHILE (@@FETCH_STATUS = 0)
      BEGIN
         DELETE PREVCONS
         WHERE CDFILIAL = @V_PREVCONS_CDFILIAL AND
               CDSERVFILI = @V_PREVCONS_CDSERVFILI AND
               CDPRODUTO = @V_PREVCONS_CDPRODUTO AND
               DTPREVCONS = @V_PREVCONS_DTPREVCONS;

         SET @V_EXCLUPREVCONS = @@ROWCOUNT + @V_EXCLUPREVCONS;

         IF @V_COUNT_COMMIT >= @V_NUM_TO_COMMIT BEGIN
            UPDATE TRABPROCLIMPEZA
              SET QTREGEXCLIMPEZA = @V_EXCLUPREVCONS
            WHERE IDLIMPEZA = @P_IDSISTEMA
              AND NMTABELALIMP = 'PREVCONS';

           /*CONTROLE DE COMMIT HA CADA 1000 REGISTRO DELETEDO  E PARA ATUALIZAR A TELA DE LIMPEZA*/
           SET @V_COUNT_COMMIT= 1;
           COMMIT;
         END
         ELSE BEGIN
            SET @V_COUNT_COMMIT = @V_COUNT_COMMIT + 1;
         END;
         FETCH NEXT FROM C_PREVCONS INTO @V_PREVCONS_CDFILIAL, @V_PREVCONS_CDSERVFILI, @V_PREVCONS_CDPRODUTO, @V_PREVCONS_DTPREVCONS;
      END;
      CLOSE C_PREVCONS;
      DEALLOCATE C_PREVCONS;

      FETCH NEXT FROM C_LISTA INTO @V_CDFILIAL;
   END;
   CLOSE C_LISTA;
   DEALLOCATE C_LISTA;

   /* COLOCA O STATUS DA TABELA DE LIMPEZA PARA CONCLUIDO */
   UPDATE TRABPROCLIMPEZA
      SET IDSITUPROCLIMP = 'C',
          QTREGEXCLIMPEZA = @V_EXCLUPREVCONS,
          DTHRFINLIMPEZA = GETDATE()
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'PREVCONS';

   /* COLOCA O STATUS DA TABELA DE LIMPEZA PARA ANDAMENTO */
   UPDATE TRABPROCLIMPEZA
      SET IDSITUPROCLIMP = 'A'
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'CARDADIA';

   SET @V_COUNT_COMMIT = 1;
   COMMIT;

   OPEN C_LISTA;
   FETCH NEXT FROM C_LISTA INTO @V_CDFILIAL
   WHILE (@@FETCH_STATUS = 0)
   BEGIN
      DECLARE C_CARDADIA CURSOR FOR
         SELECT CDFILIAL, NRCARDAPIO
           FROM CARDADIA
          WHERE CDFILIAL = @V_CDFILIAL AND
                DTCARDAPIO <= @P_DTFINAL

      OPEN C_CARDADIA
      FETCH NEXT FROM C_CARDADIA INTO @V_CARDADIA_CDFILIAL, @V_CARDADIA_NRCARDAPIO;
      WHILE (@@FETCH_STATUS = 0)
      BEGIN

         DELETE CARDADIA
         WHERE CDFILIAL = @V_CARDADIA_CDFILIAL AND
               NRCARDAPIO = @V_CARDADIA_NRCARDAPIO;

         SET @V_EXCLUCARDADIA = @@ROWCOUNT + @V_EXCLUCARDADIA;

         IF @V_COUNT_COMMIT >= @V_NUM_TO_COMMIT BEGIN
            UPDATE TRABPROCLIMPEZA
              SET QTREGEXCLIMPEZA = @V_EXCLUCARDADIA
            WHERE IDLIMPEZA = @P_IDSISTEMA
              AND NMTABELALIMP = 'CARDADIA';

            /*CONTROLE DE COMMIT HA CADA 1000 REGISTRO DELETEDO  E PARA ATUALIZAR A TELA DE LIMPEZA*/
            SET @V_COUNT_COMMIT= 1;
            COMMIT;
         END
         ELSE BEGIN
            SET @V_COUNT_COMMIT = @V_COUNT_COMMIT + 1;
         END;
         FETCH NEXT FROM C_CARDADIA INTO @V_CARDADIA_CDFILIAL, @V_CARDADIA_NRCARDAPIO;
      END;
      CLOSE C_CARDADIA;
      DEALLOCATE C_CARDADIA;

      FETCH NEXT FROM C_LISTA INTO @V_CDFILIAL;
   END;
   CLOSE C_LISTA;
   DEALLOCATE C_LISTA;

   /* COLOCA O STATUS DA TABELA DE LIMPEZA PARA CONCLUIDO */
   UPDATE TRABPROCLIMPEZA
      SET IDSITUPROCLIMP = 'C',
          QTREGEXCLIMPEZA = @V_EXCLUCARDADIA,
          DTHRFINLIMPEZA = GETDATE()
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'CARDADIA';

   /* COLOCA O STATUS DA TABELA DE LIMPEZA PARA ANDAMENTO */
   UPDATE TRABPROCLIMPEZA
      SET IDSITUPROCLIMP = 'A'
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'AJURELACRET';

   SET @V_COUNT_COMMIT= 1;
   COMMIT;

   DECLARE C_ITEMVENDA CURSOR FOR
      SELECT I.CDFILIAL, I.CDCAIXA, I.NRSEQVENDA, I.NRSEQUITVEND
        FROM ITEMVENDA I, VENDA V
       WHERE I.CDFILIAL = @V_CDFILIAL AND
             V.DTVENDA <= @P_DTFINAL AND
             I.CDFILIAL = V.CDFILIAL AND
             I.CDCAIXA = V.CDCAIXA AND
             I.NRSEQVENDA = V.NRSEQVENDA AND
             I.NRLANCESTQ IS NOT NULL

   OPEN C_ITEMVENDA
   FETCH NEXT FROM C_ITEMVENDA INTO @V_ITEMVENDA_CDFILIAL, @V_ITEMVENDA_CDCAIXA, @V_ITEMVENDA_NRSEQVENDA, @V_ITEMVENDA_NRSEQUITVEND;
   WHILE (@@FETCH_STATUS = 0)
   BEGIN
      DELETE ITEMVENDA
      WHERE CDFILIAL = @V_ITEMVENDA_CDFILIAL AND
            CDCAIXA = @V_ITEMVENDA_CDCAIXA AND
            NRSEQVENDA = @V_ITEMVENDA_NRSEQVENDA AND
            NRSEQUITVEND = @V_ITEMVENDA_NRSEQUITVEND;


   FETCH NEXT FROM C_ITEMVENDA INTO @V_ITEMVENDA_CDFILIAL, @V_ITEMVENDA_CDCAIXA, @V_ITEMVENDA_NRSEQVENDA, @V_ITEMVENDA_NRSEQUITVEND;
   END;
   CLOSE C_CARDADIA;
   DEALLOCATE C_CARDADIA;


   SET @V_COUNT_COMMIT = 1;
   COMMIT;

   DECLARE C_COMPITVENDA CURSOR FOR
      SELECT I.CDFILIAL, I.CDCAIXA, I.NRSEQVENDA, I.NRSEQITVECOM
      FROM COMPITVENDA I, VENDA V
      WHERE I.CDFILIAL = @V_CDFILIAL AND
            V.DTVENDA <= @P_DTFINAL AND
            I.CDFILIAL = V.CDFILIAL AND
            I.CDCAIXA = V.CDCAIXA AND
            I.NRSEQVENDA = V.NRSEQVENDA AND
            I.NRLANCESTQ IS NOT NULL

   OPEN C_COMPITVENDA
   FETCH NEXT FROM C_COMPITVENDA INTO @V_COMPITVENDA_CDFILIAL, @V_COMPITVENDA_CDCAIXA, @V_COMPITVENDA_NRSEQVENDA, @V_COMPITVENDA_NRSEQITVECOM;
   WHILE (@@FETCH_STATUS = 0)
   BEGIN
      UPDATE COMPITVENDA 
      SET CDFILIALEST = NULL,
          NRLANCESTQ  = NULL
      WHERE CDFILIAL = @V_COMPITVENDA_CDFILIAL AND
            CDCAIXA = @V_COMPITVENDA_CDCAIXA AND
            NRSEQVENDA = @V_COMPITVENDA_NRSEQVENDA AND
            NRSEQITVECOM = @V_COMPITVENDA_NRSEQITVECOM;
   FETCH NEXT FROM C_COMPITVENDA INTO @V_COMPITVENDA_CDFILIAL, @V_COMPITVENDA_CDCAIXA, @V_COMPITVENDA_NRSEQVENDA, @V_COMPITVENDA_NRSEQITVECOM;
   END;
   CLOSE C_CARDADIA;
   DEALLOCATE C_CARDADIA;

   SET @V_COUNT_COMMIT = 1;
   COMMIT;

   OPEN C_LISTA;
   FETCH NEXT FROM C_LISTA INTO @V_CDFILIAL
   WHILE (@@FETCH_STATUS = 0)
   BEGIN
      DECLARE C_AJURELACRET CURSOR FOR
         SELECT A.CDFILIAL, A.NRLANCESTQ, A.CDFILIALRET, A.NRLANCESTRET
           FROM AJURELACRET A, LANCTOESTOQ L
          WHERE A.CDFILIAL = L.CDFILIAL AND
                A.NRLANCESTQ = L.NRLANCESTQ AND
                L.CDFILIMOVI = @V_CDFILIAL AND
                L.DTLANCESTQ <= @P_DTFINAL

      OPEN C_AJURELACRET
      FETCH NEXT FROM C_AJURELACRET INTO @V_AJURELACRET_CDFILIAL, @V_AJURELACRET_NRLANCESTQ, @V_AJURELACRET_CDFILIALRET, @V_AJURELACRET_NRLANCESTRET;
      WHILE (@@FETCH_STATUS = 0)
      BEGIN
         DELETE AJURELACRET
         WHERE CDFILIAL = @V_AJURELACRET_CDFILIAL AND
               NRLANCESTQ = @V_AJURELACRET_NRLANCESTQ AND
               CDFILIALRET = @V_AJURELACRET_CDFILIALRET AND
               NRLANCESTRET = @V_AJURELACRET_NRLANCESTRET;

         SET @V_EXCLUAJURELACRET = @@ROWCOUNT + @V_EXCLUAJURELACRET;

         IF @V_COUNT_COMMIT >= @V_NUM_TO_COMMIT BEGIN
            UPDATE TRABPROCLIMPEZA
               SET QTREGEXCLIMPEZA = @V_EXCLUAJURELACRET
             WHERE IDLIMPEZA = @P_IDSISTEMA
               AND NMTABELALIMP = 'AJURELACRET';

            /*CONTROLE DE COMMIT HA CADA 1000 REGISTRO DELETEDO  E PARA ATUALIZAR A TELA DE LIMPEZA*/
            SET @V_COUNT_COMMIT = 1;
            COMMIT;
         END
         ELSE BEGIN
            SET @V_COUNT_COMMIT = @V_COUNT_COMMIT + 1;
         END;

         FETCH NEXT FROM C_AJURELACRET INTO @V_AJURELACRET_CDFILIAL, @V_AJURELACRET_NRLANCESTQ, @V_AJURELACRET_CDFILIALRET, @V_AJURELACRET_NRLANCESTRET;
      END;
      CLOSE C_AJURELACRET;
      DEALLOCATE C_AJURELACRET;

      FETCH NEXT FROM C_LISTA INTO @V_CDFILIAL;
   END;
   CLOSE C_LISTA;
   DEALLOCATE C_LISTA;

   /* COLOCA O STATUS DA TABELA DE LIMPEZA PARA CONCLUIDO */
   UPDATE TRABPROCLIMPEZA
      SET IDSITUPROCLIMP = 'C',
          QTREGEXCLIMPEZA = @V_EXCLUAJURELACRET,
          DTHRFINLIMPEZA = GETDATE()
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'AJURELACRET';

   /* COLOCA O STATUS DA TABELA DE LIMPEZA PARA ANDAMENTO */
   UPDATE TRABPROCLIMPEZA
      SET IDSITUPROCLIMP = 'A'
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'NFABASTEROTA';

   SET @V_COUNT_COMMIT= 1;
   COMMIT;

   SET @V_PASSO = 7;

   OPEN C_LISTA;
   FETCH NEXT FROM C_LISTA INTO @V_CDFILIAL
   WHILE (@@FETCH_STATUS = 0)
   BEGIN
      DECLARE C_NFABASTEROTA CURSOR FOR
         SELECT C.CDFILIAL, C.NRABASTEROTA,C.NRLANCESTQ
         FROM NFABASTEROTA C, LANCTOESTOQ L
         WHERE C.CDFILIAL = L.CDFILIAL AND
               C.NRLANCESTQ = L.NRLANCESTQ AND
               L.CDFILIMOVI = @V_CDFILIAL AND
               L.DTLANCESTQ <= @P_DTFINAL

      OPEN C_NFABASTEROTA
      FETCH NEXT FROM C_NFABASTEROTA INTO @V_NFABASTEROTA_CDFILIAL, @V_NFABASTEROTA_NRABASTEROTA , @V_NFABASTEROTA_NRLANCESTQ;
      WHILE (@@FETCH_STATUS = 0)
      BEGIN

         DELETE NFABASTEROTA
         WHERE CDFILIAL = @V_NFABASTEROTA_CDFILIAL AND
               NRABASTEROTA = @V_NFABASTEROTA_NRABASTEROTA AND
               NRLANCESTQ = @V_NFABASTEROTA_NRLANCESTQ;

         SET @V_EXCLUNFABASTEROTA = @@ROWCOUNT + @V_EXCLUNFABASTEROTA;

         IF @V_COUNT_COMMIT >= @V_NUM_TO_COMMIT BEGIN
            UPDATE TRABPROCLIMPEZA
              SET QTREGEXCLIMPEZA = @V_EXCLUNFABASTEROTA
            WHERE IDLIMPEZA = @P_IDSISTEMA
              AND NMTABELALIMP = 'NFABASTEROTA';

           /*CONTROLE DE COMMIT HA CADA 1000 REGISTRO DELETEDO  E PARA ATUALIZAR A TELA DE LIMPEZA*/
           SET @V_COUNT_COMMIT= 1;
           COMMIT;

           SET @V_COUNT_COMMIT = @V_COUNT_COMMIT + 1;
         END;
      FETCH NEXT FROM C_NFABASTEROTA INTO @V_NFABASTEROTA_CDFILIAL, @V_NFABASTEROTA_NRABASTEROTA , @V_NFABASTEROTA_NRLANCESTQ;
      END;
      CLOSE C_NFABASTEROTA;
      DEALLOCATE C_NFABASTEROTA;

      FETCH NEXT FROM C_LISTA INTO @V_CDFILIAL;
   END;
   CLOSE C_LISTA;
   DEALLOCATE C_LISTA;


   /* COLOCA O STATUS DA TABELA DE LIMPEZA PARA CONCLUIDO */
   UPDATE TRABPROCLIMPEZA
      SET IDSITUPROCLIMP = 'C',
          QTREGEXCLIMPEZA = @V_EXCLUNFABASTEROTA,
          DTHRFINLIMPEZA = GETDATE()
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'NFABASTEROTA';

   /* COLOCA O STATUS DA TABELA DE LIMPEZA PARA ANDAMENTO */
   UPDATE TRABPROCLIMPEZA
      SET IDSITUPROCLIMP = 'A'
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'PREVPDVLESTO';

   SET @V_COUNT_COMMIT= 1;
   COMMIT;

   OPEN C_LISTA;
   FETCH NEXT FROM C_LISTA INTO @V_CDFILIAL
   WHILE (@@FETCH_STATUS = 0)
   BEGIN
      DECLARE C_PREVPDVLESTO CURSOR FOR
         SELECT C.CDFILIAL, C.NRSEQPREVPDV, C.CDFILANCESTQ, C.NRLANCESTQ
           FROM PREVPDVLESTO C, LANCTOESTOQ L
          WHERE C.CDFILANCESTQ = L.CDFILIAL AND
                C.NRLANCESTQ = L.NRLANCESTQ AND
                L.CDFILIMOVI = @V_CDFILIAL AND
                L.DTLANCESTQ <= @P_DTFINAL

      OPEN C_PREVPDVLESTO
      FETCH NEXT FROM C_PREVPDVLESTO INTO @V_PREVPDVLESTO_CDFILIAL, @V_PREVPDVLESTO_NRSEQPREVPDV , @V_PREVPDVLESTO_CDFILANCESTQ, @V_PREVPDVLESTO_NRLANCESTQ;
      WHILE (@@FETCH_STATUS = 0)
      BEGIN
         DELETE PREVPDVLESTO
         WHERE CDFILIAL = @V_PREVPDVLESTO_CDFILIAL AND
               NRSEQPREVPDV = @V_PREVPDVLESTO_NRSEQPREVPDV AND
               CDFILANCESTQ = @V_PREVPDVLESTO_CDFILANCESTQ AND
               NRLANCESTQ = @V_PREVPDVLESTO_NRLANCESTQ;

         SET @V_EXCLUPREVPDVLESTO = @@ROWCOUNT + @V_EXCLUPREVPDVLESTO;

         IF @V_COUNT_COMMIT >= @V_NUM_TO_COMMIT BEGIN
            UPDATE TRABPROCLIMPEZA
              SET QTREGEXCLIMPEZA = @V_EXCLUPREVPDVLESTO
            WHERE IDLIMPEZA = @P_IDSISTEMA
              AND NMTABELALIMP = 'PREVPDVLESTO';

            /*CONTROLE DE COMMIT HA CADA 1000 REGISTRO DELETEDO  E PARA ATUALIZAR A TELA DE LIMPEZA*/
            SET @V_COUNT_COMMIT= 1;
            COMMIT;
         END
         ELSE BEGIN
            SET @V_COUNT_COMMIT = @V_COUNT_COMMIT + 1;
         END;
         FETCH NEXT FROM C_PREVPDVLESTO INTO @V_PREVPDVLESTO_CDFILIAL, @V_PREVPDVLESTO_NRSEQPREVPDV , @V_PREVPDVLESTO_CDFILANCESTQ, @V_PREVPDVLESTO_NRLANCESTQ;
      END;
      CLOSE C_PREVPDVLESTO;
      DEALLOCATE C_PREVPDVLESTO;

      FETCH NEXT FROM C_LISTA INTO @V_CDFILIAL;
   END;
   CLOSE C_LISTA;
   DEALLOCATE C_LISTA;

   /* COLOCA O STATUS DA TABELA DE LIMPEZA PARA CONCLUIDO */
   UPDATE TRABPROCLIMPEZA
      SET IDSITUPROCLIMP = 'C',
          QTREGEXCLIMPEZA = @V_EXCLUPREVPDVLESTO,
          DTHRFINLIMPEZA = GETDATE()
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'PREVPDVLESTO';

   /* COLOCA O STATUS DA TABELA DE LIMPEZA PARA ANDAMENTO */
   UPDATE TRABPROCLIMPEZA
      SET IDSITUPROCLIMP = 'A'
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'CUSTOCMPPROD';

   SET @V_COUNT_COMMIT= 1;
   COMMIT;

   OPEN C_LISTA;
   FETCH NEXT FROM C_LISTA INTO @V_CDFILIAL
   WHILE (@@FETCH_STATUS = 0)
   BEGIN
      DECLARE C_CUSTOCMPPROD CURSOR FOR
         SELECT C.CDFILIAL, C.CDALMOXARIFE, C.CDLOCALESTOQ, C.NRLOTEESTQ, C.NRSUBLOTE, C.CDPRODUTO, C.DTCUSTCMPPRO
           FROM CUSTOCMPPROD C, LANCTOESTOQ L
           WHERE C.CDFILLANCEST = L.CDFILIAL        AND
                 C.NRLANCESTQ   = L.NRLANCESTQ      AND
                 L.CDFILIMOVI   = @V_CDFILIAL AND
                 L.DTLANCESTQ   <= @P_DTFINAL
      OPEN C_CUSTOCMPPROD
      FETCH NEXT FROM C_CUSTOCMPPROD INTO @V_CUSTOCMPPROD_CDFILIAL, @V_CUSTOCMPPROD_CDALMOXARIFE , @V_CUSTOCMPPROD_CDLOCALESTOQ, @V_CUSTOCMPPROD_NRLOTEESTQ,
                                          @V_CUSTOCMPPROD_NRSUBLOTE, @V_CUSTOCMPPROD_CDPRODUTO, @V_CUSTOCMPPROD_DTCUSTCMPPRO;
      WHILE (@@FETCH_STATUS = 0)
      BEGIN
         DELETE CUSTOCMPPROD
         WHERE CDFILIAL = @V_CUSTOCMPPROD_CDFILIAL AND
               CDALMOXARIFE = @V_CUSTOCMPPROD_CDALMOXARIFE AND
               CDLOCALESTOQ = @V_CUSTOCMPPROD_CDLOCALESTOQ AND
               NRLOTEESTQ = @V_CUSTOCMPPROD_NRLOTEESTQ AND
               NRSUBLOTE = @V_CUSTOCMPPROD_NRSUBLOTE AND
               CDPRODUTO = @V_CUSTOCMPPROD_CDPRODUTO AND
               DTCUSTCMPPRO = @V_CUSTOCMPPROD_DTCUSTCMPPRO;

         SET @V_EXCLUCUSTOCMPPROD = @@ROWCOUNT + @V_EXCLUCUSTOCMPPROD;

         IF @V_COUNT_COMMIT >= @V_NUM_TO_COMMIT BEGIN
            UPDATE TRABPROCLIMPEZA
              SET QTREGEXCLIMPEZA = @V_EXCLUCUSTOCMPPROD
            WHERE IDLIMPEZA = @P_IDSISTEMA
              AND NMTABELALIMP = 'CUSTOCMPPROD';

           /*CONTROLE DE COMMIT HA CADA 1000 REGISTRO DELETEDO  E PARA ATUALIZAR A TELA DE LIMPEZA*/
           SET @V_COUNT_COMMIT= 1;
           COMMIT;
         END
         ELSE BEGIN
           SET @V_COUNT_COMMIT = @V_COUNT_COMMIT + 1;
         END;
         FETCH NEXT FROM C_CUSTOCMPPROD INTO @V_CUSTOCMPPROD_CDFILIAL, @V_CUSTOCMPPROD_CDALMOXARIFE , @V_CUSTOCMPPROD_CDLOCALESTOQ, @V_CUSTOCMPPROD_NRLOTEESTQ,
                                             @V_CUSTOCMPPROD_NRSUBLOTE, @V_CUSTOCMPPROD_CDPRODUTO, @V_CUSTOCMPPROD_DTCUSTCMPPRO;
      END;
      CLOSE C_CUSTOCMPPROD;
      DEALLOCATE C_CUSTOCMPPROD;

      FETCH NEXT FROM C_LISTA INTO @V_CDFILIAL;
   END;
   CLOSE C_LISTA;
   DEALLOCATE C_LISTA;

   /* COLOCA O STATUS DA TABELA DE LIMPEZA PARA CONCLUIDO */
   UPDATE TRABPROCLIMPEZA
      SET IDSITUPROCLIMP = 'C',
          QTREGEXCLIMPEZA = @V_EXCLUCUSTOCMPPROD,
          DTHRFINLIMPEZA = GETDATE()
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'CUSTOCMPPROD';

   /* COLOCA O STATUS DA TABELA DE LIMPEZA PARA ANDAMENTO */
   UPDATE TRABPROCLIMPEZA
      SET IDSITUPROCLIMP = 'A'
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'LANCTOESTOQ';

   SET @V_COUNT_COMMIT= 1;
   COMMIT;

   OPEN C_LISTA;
   FETCH NEXT FROM C_LISTA INTO @V_CDFILIAL
   WHILE (@@FETCH_STATUS = 0)
   BEGIN
      DECLARE C_LANCTOESTOQ CURSOR FOR
         SELECT CDFILIAL, NRLANCESTQ
         FROM LANCTOESTOQ
         WHERE CDFILIMOVI = @V_CDFILIAL AND
               DTLANCESTQ <= @P_DTFINAL

      OPEN C_LANCTOESTOQ
      FETCH NEXT FROM C_LANCTOESTOQ INTO @V_LANCTOESTOQ_CDFILIAL, @V_LANCTOESTOQ_NRLANCESTQ;
      WHILE (@@FETCH_STATUS = 0)
      BEGIN
         DELETE LANCTOESTOQ
         WHERE CDFILIAL = @V_LANCTOESTOQ_CDFILIAL AND
               NRLANCESTQ = @V_LANCTOESTOQ_NRLANCESTQ;

         SET @V_EXCLULANCTOESTOQ = @@ROWCOUNT + @V_EXCLULANCTOESTOQ;

         IF @V_COUNT_COMMIT >= @V_NUM_TO_COMMIT BEGIN
            UPDATE TRABPROCLIMPEZA
              SET QTREGEXCLIMPEZA = @V_EXCLULANCTOESTOQ
            WHERE IDLIMPEZA = @P_IDSISTEMA
              AND NMTABELALIMP = 'LANCTOESTOQ';

           /*CONTROLE DE COMMIT HA CADA 1000 REGISTRO DELETEDO  E PARA ATUALIZAR A TELA DE LIMPEZA*/
           SET @V_COUNT_COMMIT= 1;
           COMMIT;
         END
         ELSE BEGIN
           SET @V_COUNT_COMMIT = @V_COUNT_COMMIT + 1;
         END;
         FETCH NEXT FROM C_LANCTOESTOQ INTO @V_LANCTOESTOQ_CDFILIAL, @V_LANCTOESTOQ_NRLANCESTQ;
      END;
      CLOSE C_LANCTOESTOQ;
      DEALLOCATE C_LANCTOESTOQ;

      FETCH NEXT FROM C_LISTA INTO @V_CDFILIAL;
   END;
   CLOSE C_LISTA;
   DEALLOCATE C_LISTA;


   /* COLOCA O STATUS DA TABELA DE LIMPEZA PARA CONCLUIDO */
   UPDATE TRABPROCLIMPEZA
      SET IDSITUPROCLIMP = 'C',
          QTREGEXCLIMPEZA = @V_EXCLULANCTOESTOQ,
          DTHRFINLIMPEZA = GETDATE()
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'LANCTOESTOQ';

   /* COLOCA O STATUS DA TABELA DE LIMPEZA PARA ANDAMENTO */
   UPDATE TRABPROCLIMPEZA
      SET IDSITUPROCLIMP = 'A'
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'ROMANEIO';

   SET @V_COUNT_COMMIT= 1;
   COMMIT;

   SET @V_PASSO = 8;

   OPEN C_LISTA;
   FETCH NEXT FROM C_LISTA INTO @V_CDFILIAL
   WHILE (@@FETCH_STATUS = 0)
   BEGIN
      DECLARE C_ROMANEIO CURSOR FOR
         SELECT CDFILIAL, NRROMANEIO
         FROM ROMANEIO
         WHERE CDFILIEMITRO = @V_CDFILIAL AND
               DTROMANEIO   <= @P_DTFINAL
      OPEN C_LANCTOESTOQ
      FETCH NEXT FROM C_ROMANEIO INTO @V_LANCTOESTOQ_CDFILIAL, @V_LANCTOESTOQ_NRLANCESTQ;
      WHILE (@@FETCH_STATUS = 0)
      BEGIN

         DELETE ROMANEIONF
          WHERE CDFILIAL = @V_LANCTOESTOQ_CDFILIAL
            AND NRROMANEIO = @V_LANCTOESTOQ_NRLANCESTQ;

         SET @V_EXCLUROMANEIONF = @@ROWCOUNT + @V_EXCLUROMANEIONF;

         DELETE ROMANEIO
         WHERE CDFILIAL = @V_LANCTOESTOQ_CDFILIAL AND
               NRROMANEIO = @V_LANCTOESTOQ_NRLANCESTQ;

         SET @V_EXCLUROMANEIO = @@ROWCOUNT + @V_EXCLUROMANEIO;

         IF @V_COUNT_COMMIT >= @V_NUM_TO_COMMIT BEGIN
            UPDATE TRABPROCLIMPEZA
              SET QTREGEXCLIMPEZA = @V_EXCLUROMANEIO
            WHERE IDLIMPEZA = @P_IDSISTEMA
              AND NMTABELALIMP = 'ROMANEIO';

            /*CONTROLE DE COMMIT HA CADA 1000 REGISTRO DELETEDO  E PARA ATUALIZAR A TELA DE LIMPEZA*/
            SET @V_COUNT_COMMIT= 1;
            COMMIT;
         END
         ELSE BEGIN
            SET @V_COUNT_COMMIT = @V_COUNT_COMMIT + 1;
         END;
         FETCH NEXT FROM C_ROMANEIO INTO @V_LANCTOESTOQ_CDFILIAL, @V_LANCTOESTOQ_NRLANCESTQ;
      END;
      CLOSE C_ROMANEIO;
      DEALLOCATE C_ROMANEIO;

      FETCH NEXT FROM C_LISTA INTO @V_CDFILIAL;
   END;
   CLOSE C_LISTA;
   DEALLOCATE C_LISTA;


   /* COLOCA O STATUS DA TABELA DE LIMPEZA PARA CONCLUIDO */
   UPDATE TRABPROCLIMPEZA
      SET IDSITUPROCLIMP = 'C',
          QTREGEXCLIMPEZA = @V_EXCLUROMANEIO,
          DTHRFINLIMPEZA = GETDATE()
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'ROMANEIO';

   /* COLOCA O STATUS DA TABELA DE LIMPEZA PARA ANDAMENTO */
   UPDATE TRABPROCLIMPEZA
      SET IDSITUPROCLIMP = 'A'
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'POSESTDIA';

   SET @V_COUNT_COMMIT= 1;
   COMMIT;

   --    Gera Implantao de Estoque para Data da Limpeza

   SET @V_NRSEQUITEM = 1;

   OPEN C_LISTA;
   FETCH NEXT FROM C_LISTA INTO @V_CDFILIAL
   WHILE (@@FETCH_STATUS = 0)
   BEGIN
      DECLARE C_IMPLANTACAO CURSOR FOR
         SELECT CDALMOXARIFE, CDLOCALESTOQ, NRLOTEESTQ, NRSUBLOTE,
                CDPRODUTO, QTESTOQDIA, VRESTOQDIA, VRESTOQBRUT
           FROM POSESTDIA P
          WHERE CDFILIAL   = @V_CDFILIAL AND
                QTESTOQDIA <> 0                 AND
                DTPOSIESTQ = (SELECT MAX(DTPOSIESTQ)
                                FROM POSESTDIA
                               WHERE CDFILIAL     = P.CDFILIAL     AND
                                     CDALMOXARIFE = P.CDALMOXARIFE AND
                                     CDLOCALESTOQ = P.CDLOCALESTOQ AND
                                     NRLOTEESTQ   = P.NRLOTEESTQ   AND
                                     NRSUBLOTE    = P.NRSUBLOTE    AND
                                     CDPRODUTO    = P.CDPRODUTO    AND
                                     DTPOSIESTQ   <= CONVERT(DATETIME, @P_DTFINAL +1))
      OPEN C_IMPLANTACAO
      FETCH NEXT FROM C_IMPLANTACAO INTO @V_IMPLANTACAO_CDALMOXARIFE, @V_IMPLANTACAO_CDLOCALESTOQ, @V_IMPLANTACAO_NRLOTEESTQ,
                                         @V_IMPLANTACAO_NRSUBLOTE, @V_IMPLANTACAO_CDPRODUTO, @V_IMPLANTACAO_QTESTOQDIA,
                                         @V_IMPLANTACAO_VRESTOQDIA, @V_IMPLANTACAO_VRESTOQBRUT;
      WHILE (@@FETCH_STATUS = 0)
      BEGIN
         IF @V_NRSEQUITEM = 1 BEGIN
            
            SET @V_TEXT = 'LANCTOEST' + @V_CDFILIPROC;
            EXEC TEKNISA.NOVO_CODIGO @V_TEXT,  @P_SEQUENCIAL = @V_NRLANCESTQ OUTPUT, @P_QTDE = 1;

            INSERT INTO LANCTOESTOQ
            (CDFILIAL,NRLANCESTQ,CDOPERADOR,IDTPLANCTO,DTLANCESTQ,CDFILIMOVI, DSLANCESTQ)
            VALUES
            (@V_CDFILIPROC, SUBSTRING(@V_NRLANCESTQ,11,10), '000000000999', '0', @P_DTFINAL, @V_CDFILIAL, 'Implantao por Limpeza de Dados');
         END;
         INSERT INTO ITLANCTOEST
            (CDFILIAL, NRLANCESTQ, NRSEQUITEM, CDPRODUTO,
             QTTOTLANCTO, VRUNILANCTO, VRTOTLANCTO, IDTIPOMOVI,
             DTLANCMOVI, IDORDEMCLC, CDPRODMOVI, QTLANCTOEST,
             VRLANCTOBRUT, VRLANCTOEST, CDFILIMOVI, IDEVOLESTOQ,
             CDALMOXARIFE, CDLOCALESTOQ, NRLOTEESTQ, NRSUBLOTE)
         VALUES 
            (@V_CDFILIPROC, SUBSTRING(@V_NRLANCESTQ,11,10), RIGHT(REPLICATE('0', 4) + CONVERT(CHAR(4),@V_NRSEQUITEM),4), @V_IMPLANTACAO_CDPRODUTO,
             @V_IMPLANTACAO_QTESTOQDIA, (@V_IMPLANTACAO_VRESTOQDIA/@V_IMPLANTACAO_QTESTOQDIA), @V_IMPLANTACAO_VRESTOQDIA, '0',
             @P_DTFINAL, '0', @V_IMPLANTACAO_CDPRODUTO, @V_IMPLANTACAO_QTESTOQDIA,
             @V_IMPLANTACAO_VRESTOQBRUT, @V_IMPLANTACAO_VRESTOQDIA, @V_CDFILIAL, 'S',
             @V_IMPLANTACAO_CDALMOXARIFE, @V_IMPLANTACAO_CDLOCALESTOQ, @V_IMPLANTACAO_NRLOTEESTQ, @V_IMPLANTACAO_NRSUBLOTE);

         COMMIT;
         SET @V_NRSEQUITEM = @V_NRSEQUITEM + 1;
         FETCH NEXT FROM C_IMPLANTACAO INTO @V_IMPLANTACAO_CDALMOXARIFE, @V_IMPLANTACAO_CDLOCALESTOQ, @V_IMPLANTACAO_NRLOTEESTQ,
                                         @V_IMPLANTACAO_NRSUBLOTE, @V_IMPLANTACAO_CDPRODUTO, @V_IMPLANTACAO_QTESTOQDIA,
                                         @V_IMPLANTACAO_VRESTOQDIA, @V_IMPLANTACAO_VRESTOQBRUT;
      END;
      CLOSE C_IMPLANTACAO;
      DEALLOCATE C_IMPLANTACAO;

      FETCH NEXT FROM C_LISTA INTO @V_CDFILIAL;
   END;
   CLOSE C_LISTA;
   DEALLOCATE C_LISTA;


   COMMIT;

   OPEN C_LISTA;
   FETCH NEXT FROM C_LISTA INTO @V_CDFILIAL
   WHILE (@@FETCH_STATUS = 0)
   BEGIN
      DECLARE C_POSESTDIA CURSOR FOR
         SELECT CDALMOXARIFE, CDLOCALESTOQ, NRLOTEESTQ, NRSUBLOTE, CDPRODUTO, MAX(DTPOSIESTQ) AS DTPOSIESTQ
         FROM POSESTDIA
         WHERE CDFILIAL    = @V_CDFILIAL AND
               DTPOSIESTQ <= @P_DTFINAL
         GROUP BY CDALMOXARIFE, CDLOCALESTOQ, NRLOTEESTQ, NRSUBLOTE, CDPRODUTO

      OPEN C_POSESTDIA
      FETCH NEXT FROM C_POSESTDIA INTO @V_POSESTDIA_CDALMOXARIFE, @V_POSESTDIA_CDLOCALESTOQ, @V_POSESTDIA_NRLOTEESTQ,
                                       @V_POSESTDIA_NRSUBLOTE, @V_POSESTDIA_CDPRODUTO, @V_POSESTDIA_DTPOSIESTQ;
      WHILE (@@FETCH_STATUS = 0)
      BEGIN

         DELETE POSESTDIA
         WHERE (CDFILIAL     = @V_CDFILIAL)        AND
               (CDPRODUTO    = @V_POSESTDIA_CDPRODUTO)    AND
               (CDALMOXARIFE = @V_POSESTDIA_CDALMOXARIFE) AND
               (CDLOCALESTOQ = @V_POSESTDIA_CDLOCALESTOQ) AND
               (NRLOTEESTQ   = @V_POSESTDIA_NRLOTEESTQ)   AND
               (NRSUBLOTE    = @V_POSESTDIA_NRSUBLOTE)    AND
               (DTPOSIESTQ   < @V_POSESTDIA_DTPOSIESTQ);

         SET @V_EXCLUPOSESTDIA = @@ROWCOUNT + @V_EXCLUPOSESTDIA;
         FETCH NEXT FROM C_POSESTDIA INTO @V_POSESTDIA_CDALMOXARIFE, @V_POSESTDIA_CDLOCALESTOQ, @V_POSESTDIA_NRLOTEESTQ,
                                          @V_POSESTDIA_NRSUBLOTE, @V_POSESTDIA_CDPRODUTO, @V_POSESTDIA_DTPOSIESTQ;
      END;
      CLOSE C_POSESTDIA;
      DEALLOCATE C_POSESTDIA;

      FETCH NEXT FROM C_LISTA INTO @V_CDFILIAL;
   END;
   CLOSE C_LISTA;
   DEALLOCATE C_LISTA;

   SET @V_PASSO = 9;

   /* COLOCA O STATUS DA TABELA DE LIMPEZA PARA CONCLUIDO */
   UPDATE TRABPROCLIMPEZA
      SET IDSITUPROCLIMP = 'C',
          QTREGEXCLIMPEZA = @V_EXCLUPOSESTDIA,
          DTHRFINLIMPEZA = GETDATE()
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'POSESTDIA';

   /* COLOCA O STATUS DA TABELA DE LIMPEZA PARA ANDAMENTO */
   UPDATE TRABPROCLIMPEZA
      SET IDSITUPROCLIMP = 'A'
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'POSESTCONS';

   SET @V_COUNT_COMMIT= 1;
   COMMIT;

   OPEN C_LISTA;
   FETCH NEXT FROM C_LISTA INTO @V_CDFILIAL
   WHILE (@@FETCH_STATUS = 0)
   BEGIN
      DECLARE C_POSESTCONS CURSOR FOR
         SELECT CDPRODUTO, MAX(DTPOSESTCON) AS DTPOSESTCON
         FROM POSESTCONS
         WHERE CDFILIAL    = @V_CDFILIAL AND
               DTPOSESTCON <= @P_DTFINAL
         GROUP BY CDPRODUTO

      OPEN C_POSESTCONS
      FETCH NEXT FROM C_POSESTCONS INTO @V_POSESTCONS_CDPRODUTO, @V_POSESTCONS_DTPOSESTCON;
      WHILE (@@FETCH_STATUS = 0)
      BEGIN
         DELETE POSESTCONS
         WHERE (CDFILIAL    = @V_CDFILIAL)      AND
               (CDPRODUTO   = @V_POSESTCONS_CDPRODUTO) AND
               (DTPOSESTCON < @V_POSESTCONS_DTPOSESTCON);

         SET @V_EXCLUPOSESTCONS = @@ROWCOUNT + @V_EXCLUPOSESTCONS;

         FETCH NEXT FROM C_POSESTCONS INTO @V_POSESTCONS_CDPRODUTO, @V_POSESTCONS_DTPOSESTCON;
      END;
      CLOSE C_POSESTCONS;
      DEALLOCATE C_POSESTCONS;

      FETCH NEXT FROM C_LISTA INTO @V_CDFILIAL;
   END;
   CLOSE C_LISTA;
   DEALLOCATE C_LISTA;

   /* COLOCA O STATUS DA TABELA DE LIMPEZA PARA CONCLUIDO */
   UPDATE TRABPROCLIMPEZA
      SET IDSITUPROCLIMP = 'C',
          QTREGEXCLIMPEZA = @V_EXCLUPOSESTCONS,
          DTHRFINLIMPEZA = GETDATE()
    WHERE IDLIMPEZA = @P_IDSISTEMA
      AND NMTABELALIMP = 'POSESTCONS';

  /*deleta a tabela temporaria da limpeza */
   DELETE FROM TRABLIMPEZA
   WHERE IDLIMPEZA = @P_IDSISTEMA;

   SET @V_COUNT_COMMIT= 1;

   COMMIT;


   INSERT INTO LOGLIMPEZA
     (DSSISTLIMPEZ, NMTABLIMP, DTLIMPDADOS, NMOPERLIMPEZ, DTFINALIMPEZ, DSLIMPEZA, DSRDMUSULOGL, DSENDUSULOGL, DSNMUSUOLOGL, DSMETUSULOGL, QTDLINHAEXCL)
   VALUES
     (@P_DSSISTLIMPEZ, 'POSESTDIA', GETDATE(), @P_NMOPERLIMPEZ, @P_DTFINAL, 'POSESTDIA', @V_DSRDM, @V_DSIP, @V_DSUSUARIO, @V_DSMETODO, @V_EXCLUPOSESTDIA);

   INSERT INTO LOGLIMPEZA
     (DSSISTLIMPEZ, NMTABLIMP, DTLIMPDADOS, NMOPERLIMPEZ, DTFINALIMPEZ, DSLIMPEZA, DSRDMUSULOGL, DSENDUSULOGL, DSNMUSUOLOGL, DSMETUSULOGL, QTDLINHAEXCL)
   VALUES
     (@P_DSSISTLIMPEZ, 'POSESTCONS', GETDATE(), @P_NMOPERLIMPEZ, @P_DTFINAL, 'POSESTCONS', @V_DSRDM, @V_DSIP, @V_DSUSUARIO, @V_DSMETODO, @V_EXCLUPOSESTCONS);

   INSERT INTO LOGLIMPEZA
     (DSSISTLIMPEZ, NMTABLIMP, DTLIMPDADOS, NMOPERLIMPEZ, DTFINALIMPEZ, DSLIMPEZA, DSRDMUSULOGL, DSENDUSULOGL, DSNMUSUOLOGL, DSMETUSULOGL, QTDLINHAEXCL)
   VALUES
     (@P_DSSISTLIMPEZ, 'ITEMRETPCP', GETDATE(), @P_NMOPERLIMPEZ, @P_DTFINAL, 'ITEMRETPCP', @V_DSRDM, @V_DSIP, @V_DSUSUARIO, @V_DSMETODO, @V_EXCLUITEMRETPCP);

   INSERT INTO LOGLIMPEZA
     (DSSISTLIMPEZ, NMTABLIMP, DTLIMPDADOS, NMOPERLIMPEZ, DTFINALIMPEZ, DSLIMPEZA, DSRDMUSULOGL, DSENDUSULOGL, DSNMUSUOLOGL, DSMETUSULOGL, QTDLINHAEXCL)
   VALUES
     (@P_DSSISTLIMPEZ, 'RETIRADAPCP', GETDATE(), @P_NMOPERLIMPEZ, @P_DTFINAL, 'RETIRADAPCP', @V_DSRDM, @V_DSIP, @V_DSUSUARIO, @V_DSMETODO, @V_EXCLURETIRADAPCP);

   INSERT INTO LOGLIMPEZA
     (DSSISTLIMPEZ, NMTABLIMP, DTLIMPDADOS, NMOPERLIMPEZ, DTFINALIMPEZ, DSLIMPEZA, DSRDMUSULOGL, DSENDUSULOGL, DSNMUSUOLOGL, DSMETUSULOGL, QTDLINHAEXCL)
   VALUES
     (@P_DSSISTLIMPEZ, 'RETIRADA', GETDATE(), @P_NMOPERLIMPEZ, @P_DTFINAL, 'RETIRADA', @V_DSRDM, @V_DSIP, @V_DSUSUARIO, @V_DSMETODO, @V_EXCLURETIRADA);

   INSERT INTO LOGLIMPEZA
     (DSSISTLIMPEZ, NMTABLIMP, DTLIMPDADOS, NMOPERLIMPEZ, DTFINALIMPEZ, DSLIMPEZA, DSRDMUSULOGL, DSENDUSULOGL, DSNMUSUOLOGL, DSMETUSULOGL, QTDLINHAEXCL)
   VALUES
     (@P_DSSISTLIMPEZ, 'PREVRETI', GETDATE(), @P_NMOPERLIMPEZ, @P_DTFINAL, 'PREVRETI', @V_DSRDM, @V_DSIP, @V_DSUSUARIO, @V_DSMETODO, @V_EXCLUPREVRETI);

   INSERT INTO LOGLIMPEZA
     (DSSISTLIMPEZ, NMTABLIMP, DTLIMPDADOS, NMOPERLIMPEZ, DTFINALIMPEZ, DSLIMPEZA, DSRDMUSULOGL, DSENDUSULOGL, DSNMUSUOLOGL, DSMETUSULOGL, QTDLINHAEXCL)
   VALUES
     (@P_DSSISTLIMPEZ, 'PREVCONS', GETDATE(), @P_NMOPERLIMPEZ, @P_DTFINAL, 'PREVCONS', @V_DSRDM, @V_DSIP, @V_DSUSUARIO, @V_DSMETODO, @V_EXCLUPREVCONS);

   INSERT INTO LOGLIMPEZA
     (DSSISTLIMPEZ, NMTABLIMP, DTLIMPDADOS, NMOPERLIMPEZ, DTFINALIMPEZ, DSLIMPEZA, DSRDMUSULOGL, DSENDUSULOGL, DSNMUSUOLOGL, DSMETUSULOGL, QTDLINHAEXCL)
   VALUES
     (@P_DSSISTLIMPEZ, 'CARDADIA', GETDATE(), @P_NMOPERLIMPEZ, @P_DTFINAL, 'CARDADIA', @V_DSRDM, @V_DSIP, @V_DSUSUARIO, @V_DSMETODO, @V_EXCLUCARDADIA);

   INSERT INTO LOGLIMPEZA
     (DSSISTLIMPEZ, NMTABLIMP, DTLIMPDADOS, NMOPERLIMPEZ, DTFINALIMPEZ, DSLIMPEZA, DSRDMUSULOGL, DSENDUSULOGL, DSNMUSUOLOGL, DSMETUSULOGL, QTDLINHAEXCL)
   VALUES
     (@P_DSSISTLIMPEZ, 'RETIRADAESTO', GETDATE(), @P_NMOPERLIMPEZ, @P_DTFINAL, 'RETIRADAESTO', @V_DSRDM, @V_DSIP, @V_DSUSUARIO, @V_DSMETODO, @V_EXCLURETIRADAESTO);

   INSERT INTO LOGLIMPEZA
     (DSSISTLIMPEZ, NMTABLIMP, DTLIMPDADOS, NMOPERLIMPEZ, DTFINALIMPEZ, DSLIMPEZA, DSRDMUSULOGL, DSENDUSULOGL, DSNMUSUOLOGL, DSMETUSULOGL, QTDLINHAEXCL)
   VALUES
     (@P_DSSISTLIMPEZ, 'AJURELACRET', GETDATE(), @P_NMOPERLIMPEZ, @P_DTFINAL, 'AJURELACRET', @V_DSRDM, @V_DSIP, @V_DSUSUARIO, @V_DSMETODO, @V_EXCLUAJURELACRET);

   INSERT INTO LOGLIMPEZA
     (DSSISTLIMPEZ, NMTABLIMP, DTLIMPDADOS, NMOPERLIMPEZ, DTFINALIMPEZ, DSLIMPEZA, DSRDMUSULOGL, DSENDUSULOGL, DSNMUSUOLOGL, DSMETUSULOGL, QTDLINHAEXCL)
   VALUES
     (@P_DSSISTLIMPEZ, 'CTRLMOVIESTQ', GETDATE(), @P_NMOPERLIMPEZ, @P_DTFINAL, 'CTRLMOVIESTQ', @V_DSRDM, @V_DSIP, @V_DSUSUARIO, @V_DSMETODO, @V_EXCLUCTRLMOVIESTQ);

   INSERT INTO LOGLIMPEZA
     (DSSISTLIMPEZ, NMTABLIMP, DTLIMPDADOS, NMOPERLIMPEZ, DTFINALIMPEZ, DSLIMPEZA, DSRDMUSULOGL, DSENDUSULOGL, DSNMUSUOLOGL, DSMETUSULOGL, QTDLINHAEXCL)
   VALUES
     (@P_DSSISTLIMPEZ, 'NFABASTEROTA', GETDATE(), @P_NMOPERLIMPEZ, @P_DTFINAL, 'NFABASTEROTA', @V_DSRDM, @V_DSIP, @V_DSUSUARIO, @V_DSMETODO, @V_EXCLUNFABASTEROTA);

   INSERT INTO LOGLIMPEZA
     (DSSISTLIMPEZ, NMTABLIMP, DTLIMPDADOS, NMOPERLIMPEZ, DTFINALIMPEZ, DSLIMPEZA, DSRDMUSULOGL, DSENDUSULOGL, DSNMUSUOLOGL, DSMETUSULOGL, QTDLINHAEXCL)
   VALUES
     (@P_DSSISTLIMPEZ, 'PREVPDVLESTO', GETDATE(), @P_NMOPERLIMPEZ, @P_DTFINAL, 'PREVPDVLESTO', @V_DSRDM, @V_DSIP, @V_DSUSUARIO, @V_DSMETODO, @V_EXCLUPREVPDVLESTO);

   INSERT INTO LOGLIMPEZA
     (DSSISTLIMPEZ, NMTABLIMP, DTLIMPDADOS, NMOPERLIMPEZ, DTFINALIMPEZ, DSLIMPEZA, DSRDMUSULOGL, DSENDUSULOGL, DSNMUSUOLOGL, DSMETUSULOGL, QTDLINHAEXCL)
   VALUES
     (@P_DSSISTLIMPEZ, 'CUSTOCMPPROD', GETDATE(), @P_NMOPERLIMPEZ, @P_DTFINAL, 'CUSTOCMPPROD', @V_DSRDM, @V_DSIP, @V_DSUSUARIO, @V_DSMETODO, @V_EXCLUCUSTOCMPPROD);

   INSERT INTO LOGLIMPEZA
     (DSSISTLIMPEZ, NMTABLIMP, DTLIMPDADOS, NMOPERLIMPEZ, DTFINALIMPEZ, DSLIMPEZA, DSRDMUSULOGL, DSENDUSULOGL, DSNMUSUOLOGL, DSMETUSULOGL, QTDLINHAEXCL)
   VALUES
     (@P_DSSISTLIMPEZ, 'LANCTOESTOQ', GETDATE(), @P_NMOPERLIMPEZ, @P_DTFINAL, 'LANCTOESTOQ', @V_DSRDM, @V_DSIP, @V_DSUSUARIO, @V_DSMETODO, @V_EXCLULANCTOESTOQ);

   INSERT INTO LOGLIMPEZA
     (DSSISTLIMPEZ, NMTABLIMP, DTLIMPDADOS, NMOPERLIMPEZ, DTFINALIMPEZ, DSLIMPEZA, DSRDMUSULOGL, DSENDUSULOGL, DSNMUSUOLOGL, DSMETUSULOGL, QTDLINHAEXCL)
   VALUES
     (@P_DSSISTLIMPEZ, 'ROMANEIONF', GETDATE(), @P_NMOPERLIMPEZ, @P_DTFINAL, 'ROMANEIONF', @V_DSRDM, @V_DSIP, @V_DSUSUARIO, @V_DSMETODO, @V_EXCLUROMANEIONF);

   INSERT INTO LOGLIMPEZA
     (DSSISTLIMPEZ, NMTABLIMP, DTLIMPDADOS, NMOPERLIMPEZ, DTFINALIMPEZ, DSLIMPEZA, DSRDMUSULOGL, DSENDUSULOGL, DSNMUSUOLOGL, DSMETUSULOGL, QTDLINHAEXCL)
   VALUES
     (@P_DSSISTLIMPEZ, 'ROMANEIO', GETDATE(), @P_NMOPERLIMPEZ, @P_DTFINAL, 'ROMANEIO', @V_DSRDM, @V_DSIP, @V_DSUSUARIO, @V_DSMETODO, @V_EXCLUROMANEIO);

  INSERT INTO LOGLIMPEZA
     (DSSISTLIMPEZ, NMTABLIMP, DTLIMPDADOS, NMOPERLIMPEZ, DTFINALIMPEZ, DSLIMPEZA, DSRDMUSULOGL, DSENDUSULOGL, DSNMUSUOLOGL, DSMETUSULOGL, QTDLINHAEXCL)
   VALUES
     (@P_DSSISTLIMPEZ, 'REQUESTO', GETDATE(), @P_NMOPERLIMPEZ, @P_DTFINAL, 'REQUESTO', @V_DSRDM, @V_DSIP, @V_DSUSUARIO, @V_DSMETODO, @V_EXCLUREQUESTO);

   DELETE FROM MOVILOTE;

   DELETE FROM CONSPLAN;

   DELETE FROM CONSPLANSE;
   COMMIT;

    ALTER TABLE ITLANCTOEST ENABLE TRIGGER ATUALIZA_DELETE_LOGMOVIEST;

   IF @Err <> 0 BEGIN

      IF (@V_EXCLUPOSESTDIA > 0) BEGIN
         INSERT INTO LOGLIMPEZA
           (DSSISTLIMPEZ, NMTABLIMP, DTLIMPDADOS, NMOPERLIMPEZ, DTFINALIMPEZ, DSLIMPEZA, DSRDMUSULOGL, DSENDUSULOGL, DSNMUSUOLOGL, DSMETUSULOGL, QTDLINHAEXCL)
         VALUES
           (@P_DSSISTLIMPEZ, 'POSESTDIA', GETDATE(), @P_NMOPERLIMPEZ, @P_DTFINAL, 'POSESTDIA', @V_DSRDM, @V_DSIP, @V_DSUSUARIO, @V_DSMETODO, @V_EXCLUPOSESTDIA);
      END;

      IF (@V_EXCLUPOSESTCONS > 0) BEGIN
         INSERT INTO LOGLIMPEZA
           (DSSISTLIMPEZ, NMTABLIMP, DTLIMPDADOS, NMOPERLIMPEZ, DTFINALIMPEZ, DSLIMPEZA, DSRDMUSULOGL, DSENDUSULOGL, DSNMUSUOLOGL, DSMETUSULOGL, QTDLINHAEXCL)
         VALUES
           (@P_DSSISTLIMPEZ, 'POSESTCONS', GETDATE(), @P_NMOPERLIMPEZ, @P_DTFINAL, 'POSESTCONS', @V_DSRDM, @V_DSIP, @V_DSUSUARIO, @V_DSMETODO, @V_EXCLUPOSESTCONS);
      END;

      IF (@V_EXCLUITEMRETPCP > 0) BEGIN
         INSERT INTO LOGLIMPEZA
           (DSSISTLIMPEZ, NMTABLIMP, DTLIMPDADOS, NMOPERLIMPEZ, DTFINALIMPEZ, DSLIMPEZA, DSRDMUSULOGL, DSENDUSULOGL, DSNMUSUOLOGL, DSMETUSULOGL, QTDLINHAEXCL)
         VALUES
           (@P_DSSISTLIMPEZ, 'ITEMRETPCP', GETDATE(), @P_NMOPERLIMPEZ, @P_DTFINAL, 'ITEMRETPCP', @V_DSRDM, @V_DSIP, @V_DSUSUARIO, @V_DSMETODO, @V_EXCLUITEMRETPCP);
      END;

      IF (@V_EXCLURETIRADAPCP > 0) BEGIN
         INSERT INTO LOGLIMPEZA
           (DSSISTLIMPEZ, NMTABLIMP, DTLIMPDADOS, NMOPERLIMPEZ, DTFINALIMPEZ, DSLIMPEZA, DSRDMUSULOGL, DSENDUSULOGL, DSNMUSUOLOGL, DSMETUSULOGL, QTDLINHAEXCL)
         VALUES
           (@P_DSSISTLIMPEZ, 'RETIRADAPCP', GETDATE(), @P_NMOPERLIMPEZ, @P_DTFINAL, 'RETIRADAPCP', @V_DSRDM, @V_DSIP, @V_DSUSUARIO, @V_DSMETODO, @V_EXCLURETIRADAPCP);
      END;

      IF (@V_EXCLURETIRADA > 0) BEGIN
         INSERT INTO LOGLIMPEZA
           (DSSISTLIMPEZ, NMTABLIMP, DTLIMPDADOS, NMOPERLIMPEZ, DTFINALIMPEZ, DSLIMPEZA, DSRDMUSULOGL, DSENDUSULOGL, DSNMUSUOLOGL, DSMETUSULOGL, QTDLINHAEXCL)
         VALUES
           (@P_DSSISTLIMPEZ, 'RETIRADA', GETDATE(), @P_NMOPERLIMPEZ, @P_DTFINAL, 'RETIRADA', @V_DSRDM, @V_DSIP, @V_DSUSUARIO, @V_DSMETODO, @V_EXCLURETIRADA);
      END;

      IF (@V_EXCLUPREVRETI > 0) BEGIN
         INSERT INTO LOGLIMPEZA
           (DSSISTLIMPEZ, NMTABLIMP, DTLIMPDADOS, NMOPERLIMPEZ, DTFINALIMPEZ, DSLIMPEZA, DSRDMUSULOGL, DSENDUSULOGL, DSNMUSUOLOGL, DSMETUSULOGL, QTDLINHAEXCL)
         VALUES
           (@P_DSSISTLIMPEZ, 'PREVRETI', GETDATE(), @P_NMOPERLIMPEZ, @P_DTFINAL, 'PREVRETI', @V_DSRDM, @V_DSIP, @V_DSUSUARIO, @V_DSMETODO, @V_EXCLUPREVRETI);
      END;

      IF (@V_EXCLUPREVCONS > 0) BEGIN
         INSERT INTO LOGLIMPEZA
           (DSSISTLIMPEZ, NMTABLIMP, DTLIMPDADOS, NMOPERLIMPEZ, DTFINALIMPEZ, DSLIMPEZA, DSRDMUSULOGL, DSENDUSULOGL, DSNMUSUOLOGL, DSMETUSULOGL, QTDLINHAEXCL)
         VALUES
           (@P_DSSISTLIMPEZ, 'PREVCONS', GETDATE(), @P_NMOPERLIMPEZ, @P_DTFINAL, 'PREVCONS', @V_DSRDM, @V_DSIP, @V_DSUSUARIO, @V_DSMETODO, @V_EXCLUPREVCONS);
      END;

      IF (@V_EXCLUCARDADIA > 0) BEGIN
         INSERT INTO LOGLIMPEZA
           (DSSISTLIMPEZ, NMTABLIMP, DTLIMPDADOS, NMOPERLIMPEZ, DTFINALIMPEZ, DSLIMPEZA, DSRDMUSULOGL, DSENDUSULOGL, DSNMUSUOLOGL, DSMETUSULOGL, QTDLINHAEXCL)
         VALUES
           (@P_DSSISTLIMPEZ, 'CARDADIA', GETDATE(), @P_NMOPERLIMPEZ, @P_DTFINAL, 'CARDADIA', @V_DSRDM, @V_DSIP, @V_DSUSUARIO, @V_DSMETODO, @V_EXCLUCARDADIA);
      END;

      IF (@V_EXCLURETIRADAESTO > 0) BEGIN
         INSERT INTO LOGLIMPEZA
           (DSSISTLIMPEZ, NMTABLIMP, DTLIMPDADOS, NMOPERLIMPEZ, DTFINALIMPEZ, DSLIMPEZA, DSRDMUSULOGL, DSENDUSULOGL, DSNMUSUOLOGL, DSMETUSULOGL, QTDLINHAEXCL)
         VALUES
           (@P_DSSISTLIMPEZ, 'RETIRADAESTO', GETDATE(), @P_NMOPERLIMPEZ, @P_DTFINAL, 'RETIRADAESTO', @V_DSRDM, @V_DSIP, @V_DSUSUARIO, @V_DSMETODO, @V_EXCLURETIRADAESTO);
      END;

      IF (@V_EXCLUAJURELACRET > 0) BEGIN
         INSERT INTO LOGLIMPEZA
           (DSSISTLIMPEZ, NMTABLIMP, DTLIMPDADOS, NMOPERLIMPEZ, DTFINALIMPEZ, DSLIMPEZA, DSRDMUSULOGL, DSENDUSULOGL, DSNMUSUOLOGL, DSMETUSULOGL, QTDLINHAEXCL)
         VALUES
           (@P_DSSISTLIMPEZ, 'AJURELACRET', GETDATE(), @P_NMOPERLIMPEZ, @P_DTFINAL, 'AJURELACRET', @V_DSRDM, @V_DSIP, @V_DSUSUARIO, @V_DSMETODO, @V_EXCLUAJURELACRET);
      END;

      IF (@V_EXCLUCTRLMOVIESTQ > 0) BEGIN
         INSERT INTO LOGLIMPEZA
           (DSSISTLIMPEZ, NMTABLIMP, DTLIMPDADOS, NMOPERLIMPEZ, DTFINALIMPEZ, DSLIMPEZA, DSRDMUSULOGL, DSENDUSULOGL, DSNMUSUOLOGL, DSMETUSULOGL, QTDLINHAEXCL)
         VALUES
           (@P_DSSISTLIMPEZ, 'CTRLMOVIESTQ', GETDATE(), @P_NMOPERLIMPEZ, @P_DTFINAL, 'CTRLMOVIESTQ', @V_DSRDM, @V_DSIP, @V_DSUSUARIO, @V_DSMETODO, @V_EXCLUCTRLMOVIESTQ);
      END;

      IF (@V_EXCLUNFABASTEROTA > 0) BEGIN
         INSERT INTO LOGLIMPEZA
           (DSSISTLIMPEZ, NMTABLIMP, DTLIMPDADOS, NMOPERLIMPEZ, DTFINALIMPEZ, DSLIMPEZA, DSRDMUSULOGL, DSENDUSULOGL, DSNMUSUOLOGL, DSMETUSULOGL, QTDLINHAEXCL)
         VALUES
           (@P_DSSISTLIMPEZ, 'NFABASTEROTA', GETDATE(), @P_NMOPERLIMPEZ, @P_DTFINAL, 'NFABASTEROTA', @V_DSRDM, @V_DSIP, @V_DSUSUARIO, @V_DSMETODO, @V_EXCLUNFABASTEROTA);
      END;

      IF (@V_EXCLUPREVPDVLESTO > 0) BEGIN
         INSERT INTO LOGLIMPEZA
           (DSSISTLIMPEZ, NMTABLIMP, DTLIMPDADOS, NMOPERLIMPEZ, DTFINALIMPEZ, DSLIMPEZA, DSRDMUSULOGL, DSENDUSULOGL, DSNMUSUOLOGL, DSMETUSULOGL, QTDLINHAEXCL)
         VALUES
           (@P_DSSISTLIMPEZ, 'PREVPDVLESTO', GETDATE(), @P_NMOPERLIMPEZ, @P_DTFINAL, 'PREVPDVLESTO', @V_DSRDM, @V_DSIP, @V_DSUSUARIO, @V_DSMETODO, @V_EXCLUPREVPDVLESTO);
      END;

      IF (@V_EXCLUCUSTOCMPPROD > 0) BEGIN
         INSERT INTO LOGLIMPEZA
           (DSSISTLIMPEZ, NMTABLIMP, DTLIMPDADOS, NMOPERLIMPEZ, DTFINALIMPEZ, DSLIMPEZA, DSRDMUSULOGL, DSENDUSULOGL, DSNMUSUOLOGL, DSMETUSULOGL, QTDLINHAEXCL)
         VALUES
           (@P_DSSISTLIMPEZ, 'CUSTOCMPPROD', GETDATE(), @P_NMOPERLIMPEZ, @P_DTFINAL, 'CUSTOCMPPROD', @V_DSRDM, @V_DSIP, @V_DSUSUARIO, @V_DSMETODO, @V_EXCLUCUSTOCMPPROD);
      END;

      IF (@V_EXCLULANCTOESTOQ > 0) BEGIN
         INSERT INTO LOGLIMPEZA
           (DSSISTLIMPEZ, NMTABLIMP, DTLIMPDADOS, NMOPERLIMPEZ, DTFINALIMPEZ, DSLIMPEZA, DSRDMUSULOGL, DSENDUSULOGL, DSNMUSUOLOGL, DSMETUSULOGL, QTDLINHAEXCL)
         VALUES
           (@P_DSSISTLIMPEZ, 'LANCTOESTOQ', GETDATE(), @P_NMOPERLIMPEZ, @P_DTFINAL, 'LANCTOESTOQ', @V_DSRDM, @V_DSIP, @V_DSUSUARIO, @V_DSMETODO, @V_EXCLULANCTOESTOQ);
      END;

      IF (@V_EXCLUROMANEIONF > 0) BEGIN
         INSERT INTO LOGLIMPEZA
           (DSSISTLIMPEZ, NMTABLIMP, DTLIMPDADOS, NMOPERLIMPEZ, DTFINALIMPEZ, DSLIMPEZA, DSRDMUSULOGL, DSENDUSULOGL, DSNMUSUOLOGL, DSMETUSULOGL, QTDLINHAEXCL)
         VALUES
           (@P_DSSISTLIMPEZ, 'ROMANEIONF', GETDATE(), @P_NMOPERLIMPEZ, @P_DTFINAL, 'ROMANEIONF', @V_DSRDM, @V_DSIP, @V_DSUSUARIO, @V_DSMETODO, @V_EXCLUROMANEIONF);
      END;

      IF (@V_EXCLUROMANEIO > 0) BEGIN
         INSERT INTO LOGLIMPEZA
           (DSSISTLIMPEZ, NMTABLIMP, DTLIMPDADOS, NMOPERLIMPEZ, DTFINALIMPEZ, DSLIMPEZA, DSRDMUSULOGL, DSENDUSULOGL, DSNMUSUOLOGL, DSMETUSULOGL, QTDLINHAEXCL)
         VALUES
           (@P_DSSISTLIMPEZ, 'ROMANEIO', GETDATE(), @P_NMOPERLIMPEZ, @P_DTFINAL, 'ROMANEIO', @V_DSRDM, @V_DSIP, @V_DSUSUARIO, @V_DSMETODO, @V_EXCLUROMANEIO);
      END;

      IF (@V_EXCLUREQUESTO > 0) BEGIN
         INSERT INTO LOGLIMPEZA
            (DSSISTLIMPEZ, NMTABLIMP, DTLIMPDADOS, NMOPERLIMPEZ, DTFINALIMPEZ, DSLIMPEZA, DSRDMUSULOGL, DSENDUSULOGL, DSNMUSUOLOGL, DSMETUSULOGL, QTDLINHAEXCL)
          VALUES
            (@P_DSSISTLIMPEZ, 'REQUESTO', GETDATE(), @P_NMOPERLIMPEZ, @P_DTFINAL, 'REQUESTO', @V_DSRDM, @V_DSIP, @V_DSUSUARIO, @V_DSMETODO, @V_EXCLUREQUESTO);
      END;


      /*deleta a tabela temporaria da limpeza */
      DELETE FROM TRABLIMPEZA
      WHERE IDLIMPEZA = @P_IDSISTEMA;

      COMMIT;

      ALTER TABLE ITLANCTOEST ENABLE TRIGGER ATUALIZA_DELETE_LOGMOVIEST;

      RAISERROR (@V_PASSO, 16, 1);

      RETURN (@Err)
   END;

END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'LIMPEZA_DADOEST','5.05.009';
GO

